
_interrupt:

;ThrottleMonitor2.mbas,186 :: 		sub procedure interrupt
;ThrottleMonitor2.mbas,189 :: 		if SPEED_SIGNAL_INTERRUPT_OCCURRED = 1 then
	BTFSS      IOCBF2_bit+0, BitPos(IOCBF2_bit+0)
	GOTO       L__interrupt2
;ThrottleMonitor2.mbas,190 :: 		if speed_measure_status = MEASUREMENT_RUNNING then
	MOVF       _speed_measure_status+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt5
;ThrottleMonitor2.mbas,191 :: 		speed_pulse_counter = speed_pulse_counter + 1
	INCF       _speed_pulse_counter+0, 1
;ThrottleMonitor2.mbas,192 :: 		if speed_pulse_counter = SPEED_PULSE_COUNT then
	MOVF       _speed_pulse_counter+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt8
;ThrottleMonitor2.mbas,193 :: 		speed_tmr_save = TMR4
	MOVF       TMR4+0, 0
	MOVWF      _speed_tmr_save+0
;ThrottleMonitor2.mbas,194 :: 		speed_tmr_overflow_save  = speed_tmr_overflow_count
	MOVF       _speed_tmr_overflow_count+0, 0
	MOVWF      _speed_tmr_overflow_save+0
	MOVF       _speed_tmr_overflow_count+1, 0
	MOVWF      _speed_tmr_overflow_save+1
	CLRF       _speed_tmr_overflow_save+2
	CLRF       _speed_tmr_overflow_save+3
;ThrottleMonitor2.mbas,195 :: 		speed_measure_status  = MEASUREMENT_DONE
	MOVLW      2
	MOVWF      _speed_measure_status+0
L__interrupt8:
;ThrottleMonitor2.mbas,196 :: 		end if
L__interrupt5:
;ThrottleMonitor2.mbas,198 :: 		if speed_measure_status = MEASUREMENT_SET then
	MOVF       _speed_measure_status+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt11
;ThrottleMonitor2.mbas,199 :: 		TMR4 = 0
	CLRF       TMR4+0
;ThrottleMonitor2.mbas,200 :: 		speed_tmr_overflow_count = 0
	CLRF       _speed_tmr_overflow_count+0
	CLRF       _speed_tmr_overflow_count+1
;ThrottleMonitor2.mbas,201 :: 		speed_tmr_timeout = false
	CLRF       _speed_tmr_timeout+0
;ThrottleMonitor2.mbas,202 :: 		speed_pulse_counter = 0
	CLRF       _speed_pulse_counter+0
;ThrottleMonitor2.mbas,203 :: 		speed_measure_status = MEASUREMENT_RUNNING
	MOVLW      1
	MOVWF      _speed_measure_status+0
L__interrupt11:
;ThrottleMonitor2.mbas,205 :: 		SPEED_SIGNAL_INTERRUPT_OCCURRED = 0
	BCF        IOCBF2_bit+0, BitPos(IOCBF2_bit+0)
L__interrupt2:
;ThrottleMonitor2.mbas,209 :: 		if TACHO_SIGNAL_INTERRUPT_OCCURRED = 1 then
	BTFSS      INTF_bit+0, BitPos(INTF_bit+0)
	GOTO       L__interrupt14
;ThrottleMonitor2.mbas,210 :: 		if tacho_measure_status = MEASUREMENT_RUNNING then
	MOVF       _tacho_measure_status+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt17
;ThrottleMonitor2.mbas,211 :: 		tacho_pulse_counter = tacho_pulse_counter + 1
	INCF       _tacho_pulse_counter+0, 1
;ThrottleMonitor2.mbas,212 :: 		if tacho_pulse_counter = TACHO_PULSE_COUNT then
	MOVF       _tacho_pulse_counter+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt20
;ThrottleMonitor2.mbas,213 :: 		tacho_tmr_save = TMR6
	MOVF       TMR6+0, 0
	MOVWF      _tacho_tmr_save+0
;ThrottleMonitor2.mbas,214 :: 		tacho_tmr_overflow_save  = tacho_tmr_overflow_count
	MOVF       _tacho_tmr_overflow_count+0, 0
	MOVWF      _tacho_tmr_overflow_save+0
	MOVF       _tacho_tmr_overflow_count+1, 0
	MOVWF      _tacho_tmr_overflow_save+1
	CLRF       _tacho_tmr_overflow_save+2
	CLRF       _tacho_tmr_overflow_save+3
;ThrottleMonitor2.mbas,215 :: 		tacho_measure_status  = MEASUREMENT_DONE
	MOVLW      2
	MOVWF      _tacho_measure_status+0
L__interrupt20:
;ThrottleMonitor2.mbas,216 :: 		end if
L__interrupt17:
;ThrottleMonitor2.mbas,218 :: 		if tacho_measure_status = MEASUREMENT_SET then
	MOVF       _tacho_measure_status+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt23
;ThrottleMonitor2.mbas,219 :: 		TMR6 = 0
	CLRF       TMR6+0
;ThrottleMonitor2.mbas,220 :: 		tacho_tmr_overflow_count = 0
	CLRF       _tacho_tmr_overflow_count+0
	CLRF       _tacho_tmr_overflow_count+1
;ThrottleMonitor2.mbas,221 :: 		tacho_tmr_timeout = false
	CLRF       _tacho_tmr_timeout+0
;ThrottleMonitor2.mbas,222 :: 		tacho_pulse_counter = 0
	CLRF       _tacho_pulse_counter+0
;ThrottleMonitor2.mbas,223 :: 		tacho_measure_status = MEASUREMENT_RUNNING
	MOVLW      1
	MOVWF      _tacho_measure_status+0
L__interrupt23:
;ThrottleMonitor2.mbas,225 :: 		TACHO_SIGNAL_INTERRUPT_OCCURRED = 0
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
L__interrupt14:
;ThrottleMonitor2.mbas,229 :: 		if TMR2IF_bit = 1 then
	BTFSS      TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	GOTO       L__interrupt26
;ThrottleMonitor2.mbas,231 :: 		if speed_display_update_counter < 300 then  ' 300[mec]
	MOVLW      1
	SUBWF      _speed_display_update_counter+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt427
	MOVLW      44
	SUBWF      _speed_display_update_counter+0, 0
L__interrupt427:
	BTFSC      STATUS+0, 0
	GOTO       L__interrupt29
;ThrottleMonitor2.mbas,232 :: 		speed_display_update_counter = speed_display_update_counter + 1
	INCF       _speed_display_update_counter+0, 1
	BTFSC      STATUS+0, 2
	INCF       _speed_display_update_counter+1, 1
L__interrupt29:
;ThrottleMonitor2.mbas,235 :: 		if dimmer_update_counter < DIMMER_PERIOD then         ' 100[mec]
	MOVLW      200
	SUBWF      _dimmer_update_counter+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__interrupt32
;ThrottleMonitor2.mbas,236 :: 		dimmer_update_counter = dimmer_update_counter + 1
	INCF       _dimmer_update_counter+0, 1
L__interrupt32:
;ThrottleMonitor2.mbas,238 :: 		TMR2IF_bit = 0
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
L__interrupt26:
;ThrottleMonitor2.mbas,242 :: 		if TMR4IF_bit = 1 then
	BTFSS      TMR4IF_bit+0, BitPos(TMR4IF_bit+0)
	GOTO       L__interrupt35
;ThrottleMonitor2.mbas,243 :: 		if speed_tmr_overflow_count = 31250 then  ' 31250 = 1sec
	MOVF       _speed_tmr_overflow_count+1, 0
	XORLW      122
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt428
	MOVLW      18
	XORWF      _speed_tmr_overflow_count+0, 0
L__interrupt428:
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt38
;ThrottleMonitor2.mbas,244 :: 		speed_tmr_timeout = true
	MOVLW      255
	MOVWF      _speed_tmr_timeout+0
	GOTO       L__interrupt39
;ThrottleMonitor2.mbas,245 :: 		else
L__interrupt38:
;ThrottleMonitor2.mbas,246 :: 		speed_tmr_overflow_count = speed_tmr_overflow_count + 1
	INCF       _speed_tmr_overflow_count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _speed_tmr_overflow_count+1, 1
;ThrottleMonitor2.mbas,247 :: 		end if
L__interrupt39:
;ThrottleMonitor2.mbas,248 :: 		TMR4IF_bit = 0
	BCF        TMR4IF_bit+0, BitPos(TMR4IF_bit+0)
L__interrupt35:
;ThrottleMonitor2.mbas,252 :: 		if TMR6IF_bit = 1 then
	BTFSS      TMR6IF_bit+0, BitPos(TMR6IF_bit+0)
	GOTO       L__interrupt41
;ThrottleMonitor2.mbas,253 :: 		if tacho_tmr_overflow_count = 31250 then  ' 31250 = 1sec
	MOVF       _tacho_tmr_overflow_count+1, 0
	XORLW      122
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt429
	MOVLW      18
	XORWF      _tacho_tmr_overflow_count+0, 0
L__interrupt429:
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt44
;ThrottleMonitor2.mbas,254 :: 		tacho_tmr_timeout = true
	MOVLW      255
	MOVWF      _tacho_tmr_timeout+0
	GOTO       L__interrupt45
;ThrottleMonitor2.mbas,255 :: 		else
L__interrupt44:
;ThrottleMonitor2.mbas,256 :: 		tacho_tmr_overflow_count = tacho_tmr_overflow_count + 1
	INCF       _tacho_tmr_overflow_count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _tacho_tmr_overflow_count+1, 1
;ThrottleMonitor2.mbas,257 :: 		end if
L__interrupt45:
;ThrottleMonitor2.mbas,258 :: 		TMR6IF_bit = 0
	BCF        TMR6IF_bit+0, BitPos(TMR6IF_bit+0)
L__interrupt41:
;ThrottleMonitor2.mbas,261 :: 		end sub
L_end_interrupt:
L__interrupt426:
	RETFIE     %s
; end of _interrupt

_write_tca9535:

;ThrottleMonitor2.mbas,266 :: 		sub procedure write_tca9535(dim device_address as byte, dim command_byte as byte, dim w_data as byte )
;ThrottleMonitor2.mbas,267 :: 		I2C1_Start()
	CALL       _I2C1_start+0
;ThrottleMonitor2.mbas,268 :: 		I2C1_Wr(TCA9535_DEVICE_ADDRESS or device_address or TCA9535_WRITE)
	MOVLW      64
	IORWF       FARG_write_tca9535_device_address+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ThrottleMonitor2.mbas,269 :: 		I2C1_Wr(command_byte)
	MOVF       FARG_write_tca9535_command_byte+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ThrottleMonitor2.mbas,270 :: 		I2C1_Wr(w_data)
	MOVF       FARG_write_tca9535_w_data+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ThrottleMonitor2.mbas,271 :: 		I2C1_Stop()
	CALL       _I2C1_Stop+0
;ThrottleMonitor2.mbas,272 :: 		end sub
L_end_write_tca9535:
	RETURN
; end of _write_tca9535

_display_char:

;ThrottleMonitor2.mbas,277 :: 		sub procedure display_char(dim digit as byte, dim char_mask as byte )
;ThrottleMonitor2.mbas,279 :: 		case 1  write_tca9535( IOEXPANDER_DEVICE_ID2, TCA9535_OUTPUT_PORT0, char_mask )
	MOVF       FARG_display_char_digit+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__display_char51
	MOVLW      4
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVF       FARG_display_char_char_mask+0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_char48
L__display_char51:
;ThrottleMonitor2.mbas,280 :: 		case 2  write_tca9535( IOEXPANDER_DEVICE_ID2, TCA9535_OUTPUT_PORT1, char_mask )
	MOVF       FARG_display_char_digit+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__display_char54
	MOVLW      4
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVF       FARG_display_char_char_mask+0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_char48
L__display_char54:
;ThrottleMonitor2.mbas,281 :: 		case 3  write_tca9535( IOEXPANDER_DEVICE_ID3, TCA9535_OUTPUT_PORT0, char_mask )
	MOVF       FARG_display_char_digit+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__display_char57
	MOVLW      6
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVF       FARG_display_char_char_mask+0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_char48
L__display_char57:
;ThrottleMonitor2.mbas,282 :: 		case 4  write_tca9535( IOEXPANDER_DEVICE_ID3, TCA9535_OUTPUT_PORT1, char_mask )
	MOVF       FARG_display_char_digit+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__display_char60
	MOVLW      6
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVF       FARG_display_char_char_mask+0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_char48
L__display_char60:
L__display_char48:
;ThrottleMonitor2.mbas,284 :: 		end sub
L_end_display_char:
	RETURN
; end of _display_char

_decode_number:

;ThrottleMonitor2.mbas,289 :: 		sub function decode_number(dim number as byte) as byte
;ThrottleMonitor2.mbas,291 :: 		case 0 result = DIGIT_MASK_0
	MOVF       FARG_decode_number_number+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number65
	MOVLW      72
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number65:
;ThrottleMonitor2.mbas,292 :: 		case 1 result = DIGIT_MASK_1
	MOVF       FARG_decode_number_number+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number68
	MOVLW      237
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number68:
;ThrottleMonitor2.mbas,293 :: 		case 2 result = DIGIT_MASK_2
	MOVF       FARG_decode_number_number+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number71
	MOVLW      152
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number71:
;ThrottleMonitor2.mbas,294 :: 		case 3 result = DIGIT_MASK_3
	MOVF       FARG_decode_number_number+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number74
	MOVLW      137
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number74:
;ThrottleMonitor2.mbas,295 :: 		case 4 result = DIGIT_MASK_4
	MOVF       FARG_decode_number_number+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number77
	MOVLW      45
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number77:
;ThrottleMonitor2.mbas,296 :: 		case 5 result = DIGIT_MASK_5
	MOVF       FARG_decode_number_number+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number80
	MOVLW      11
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number80:
;ThrottleMonitor2.mbas,297 :: 		case 6 result = DIGIT_MASK_6
	MOVF       FARG_decode_number_number+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number83
	MOVLW      10
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number83:
;ThrottleMonitor2.mbas,298 :: 		case 7 result = DIGIT_MASK_7
	MOVF       FARG_decode_number_number+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number86
	MOVLW      233
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number86:
;ThrottleMonitor2.mbas,299 :: 		case 8 result = DIGIT_MASK_8
	MOVF       FARG_decode_number_number+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number89
	MOVLW      8
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number89:
;ThrottleMonitor2.mbas,300 :: 		case 9 result = DIGIT_MASK_9
	MOVF       FARG_decode_number_number+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number92
	MOVLW      9
	MOVWF      R1+0
	GOTO       L__decode_number62
L__decode_number92:
L__decode_number62:
;ThrottleMonitor2.mbas,302 :: 		end sub
	MOVF       R1+0, 0
	MOVWF      R0
L_end_decode_number:
	RETURN
; end of _decode_number

_decode_barcode:

;ThrottleMonitor2.mbas,307 :: 		sub function decode_barcode(dim level as byte) as byte
;ThrottleMonitor2.mbas,309 :: 		case 0 result = %11111111
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode97
	MOVLW      255
	MOVWF      R1+0
	GOTO       L__decode_barcode94
L__decode_barcode97:
;ThrottleMonitor2.mbas,310 :: 		case 1 result = %11111110
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode100
	MOVLW      254
	MOVWF      R1+0
	GOTO       L__decode_barcode94
L__decode_barcode100:
;ThrottleMonitor2.mbas,311 :: 		case 2 result = %11111100
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode103
	MOVLW      252
	MOVWF      R1+0
	GOTO       L__decode_barcode94
L__decode_barcode103:
;ThrottleMonitor2.mbas,312 :: 		case 3 result = %11111000
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode106
	MOVLW      248
	MOVWF      R1+0
	GOTO       L__decode_barcode94
L__decode_barcode106:
;ThrottleMonitor2.mbas,313 :: 		case 4 result = %11110000
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode109
	MOVLW      240
	MOVWF      R1+0
	GOTO       L__decode_barcode94
L__decode_barcode109:
;ThrottleMonitor2.mbas,314 :: 		case 5 result = %11100000
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode112
	MOVLW      224
	MOVWF      R1+0
	GOTO       L__decode_barcode94
L__decode_barcode112:
;ThrottleMonitor2.mbas,315 :: 		case 6 result = %11000000
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode115
	MOVLW      192
	MOVWF      R1+0
	GOTO       L__decode_barcode94
L__decode_barcode115:
;ThrottleMonitor2.mbas,316 :: 		case 7 result = %10000000
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode118
	MOVLW      128
	MOVWF      R1+0
	GOTO       L__decode_barcode94
L__decode_barcode118:
;ThrottleMonitor2.mbas,317 :: 		case 8 result = %00000000
	MOVF       FARG_decode_barcode_level+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode121
	CLRF       R1+0
	GOTO       L__decode_barcode94
L__decode_barcode121:
L__decode_barcode94:
;ThrottleMonitor2.mbas,319 :: 		end sub
	MOVF       R1+0, 0
	MOVWF      R0
L_end_decode_barcode:
	RETURN
; end of _decode_barcode

_decode_barcode_backword:

;ThrottleMonitor2.mbas,321 :: 		sub function decode_barcode_backword(dim level as byte) as byte
;ThrottleMonitor2.mbas,323 :: 		case 0 result = %11111111
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword126
	MOVLW      255
	MOVWF      R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword126:
;ThrottleMonitor2.mbas,324 :: 		case 1 result = %01111111
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword129
	MOVLW      127
	MOVWF      R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword129:
;ThrottleMonitor2.mbas,325 :: 		case 2 result = %00111111
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword132
	MOVLW      63
	MOVWF      R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword132:
;ThrottleMonitor2.mbas,326 :: 		case 3 result = %00011111
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword135
	MOVLW      31
	MOVWF      R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword135:
;ThrottleMonitor2.mbas,327 :: 		case 4 result = %00001111
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword138
	MOVLW      15
	MOVWF      R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword138:
;ThrottleMonitor2.mbas,328 :: 		case 5 result = %00000111
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword141
	MOVLW      7
	MOVWF      R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword141:
;ThrottleMonitor2.mbas,329 :: 		case 6 result = %00000011
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword144
	MOVLW      3
	MOVWF      R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword144:
;ThrottleMonitor2.mbas,330 :: 		case 7 result = %00000001
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword147
	MOVLW      1
	MOVWF      R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword147:
;ThrottleMonitor2.mbas,331 :: 		case 8 result = %00000000
	MOVF       FARG_decode_barcode_backword_level+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_backword150
	CLRF       R1+0
	GOTO       L__decode_barcode_backword123
L__decode_barcode_backword150:
L__decode_barcode_backword123:
;ThrottleMonitor2.mbas,333 :: 		end sub
	MOVF       R1+0, 0
	MOVWF      R0
L_end_decode_barcode_backword:
	RETURN
; end of _decode_barcode_backword

_decode_barcode_reverse:

;ThrottleMonitor2.mbas,335 :: 		sub function decode_barcode_reverse(dim level as byte) as byte
;ThrottleMonitor2.mbas,337 :: 		case 0 result = %00000000
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse155
	CLRF       R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse155:
;ThrottleMonitor2.mbas,338 :: 		case 1 result = %00000001
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse158
	MOVLW      1
	MOVWF      R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse158:
;ThrottleMonitor2.mbas,339 :: 		case 2 result = %00000011
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse161
	MOVLW      3
	MOVWF      R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse161:
;ThrottleMonitor2.mbas,340 :: 		case 3 result = %00000111
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse164
	MOVLW      7
	MOVWF      R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse164:
;ThrottleMonitor2.mbas,341 :: 		case 4 result = %00001111
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse167
	MOVLW      15
	MOVWF      R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse167:
;ThrottleMonitor2.mbas,342 :: 		case 5 result = %00011111
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse170
	MOVLW      31
	MOVWF      R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse170:
;ThrottleMonitor2.mbas,343 :: 		case 6 result = %00111111
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse173
	MOVLW      63
	MOVWF      R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse173:
;ThrottleMonitor2.mbas,344 :: 		case 7 result = %01111111
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse176
	MOVLW      127
	MOVWF      R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse176:
;ThrottleMonitor2.mbas,345 :: 		case 8 result = %11111111
	MOVF       FARG_decode_barcode_reverse_level+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__decode_barcode_reverse179
	MOVLW      255
	MOVWF      R1+0
	GOTO       L__decode_barcode_reverse152
L__decode_barcode_reverse179:
L__decode_barcode_reverse152:
;ThrottleMonitor2.mbas,347 :: 		end sub
	MOVF       R1+0, 0
	MOVWF      R0
L_end_decode_barcode_reverse:
	RETURN
; end of _decode_barcode_reverse

_display_throttle:

;ThrottleMonitor2.mbas,354 :: 		sub procedure display_throttle(dim throttle_position as byte)
;ThrottleMonitor2.mbas,355 :: 		if 8 < throttle_position then
	MOVF       FARG_display_throttle_throttle_position+0, 0
	SUBLW      8
	BTFSC      STATUS+0, 0
	GOTO       L__display_throttle182
;ThrottleMonitor2.mbas,356 :: 		write_tca9535( IOEXPANDER_DEVICE_ID0, TCA9535_OUTPUT_PORT0, LED_ALL_ON )
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,357 :: 		throttle_position = throttle_position - 8
	MOVLW      8
	SUBWF      FARG_display_throttle_throttle_position+0, 0
	MOVWF      R1
	MOVF       R1, 0
	MOVWF      FARG_display_throttle_throttle_position+0
;ThrottleMonitor2.mbas,358 :: 		if 8 < throttle_position then
	MOVF       R1, 0
	SUBLW      8
	BTFSC      STATUS+0, 0
	GOTO       L__display_throttle185
;ThrottleMonitor2.mbas,359 :: 		write_tca9535( IOEXPANDER_DEVICE_ID0, TCA9535_OUTPUT_PORT1, LED_ALL_ON )
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,360 :: 		throttle_position = throttle_position - 8
	MOVLW      8
	SUBWF      FARG_display_throttle_throttle_position+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      FARG_display_throttle_throttle_position+0
;ThrottleMonitor2.mbas,361 :: 		write_tca9535( IOEXPANDER_DEVICE_ID1, TCA9535_OUTPUT_PORT0, decode_barcode(throttle_position) )
	MOVF       R0, 0
	MOVWF      FARG_decode_barcode_level+0
	CALL       _decode_barcode+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
	GOTO       L__display_throttle186
;ThrottleMonitor2.mbas,362 :: 		else
L__display_throttle185:
;ThrottleMonitor2.mbas,363 :: 		write_tca9535( IOEXPANDER_DEVICE_ID1, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      2
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,364 :: 		write_tca9535( IOEXPANDER_DEVICE_ID0, TCA9535_OUTPUT_PORT1, decode_barcode(throttle_position) )
	MOVF       FARG_display_throttle_throttle_position+0, 0
	MOVWF      FARG_decode_barcode_level+0
	CALL       _decode_barcode+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,365 :: 		end if
L__display_throttle186:
	GOTO       L__display_throttle183
;ThrottleMonitor2.mbas,366 :: 		else
L__display_throttle182:
;ThrottleMonitor2.mbas,367 :: 		write_tca9535( IOEXPANDER_DEVICE_ID0, TCA9535_OUTPUT_PORT0, decode_barcode(throttle_position) )
	MOVF       FARG_display_throttle_throttle_position+0, 0
	MOVWF      FARG_decode_barcode_level+0
	CALL       _decode_barcode+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,368 :: 		write_tca9535( IOEXPANDER_DEVICE_ID0, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,369 :: 		write_tca9535( IOEXPANDER_DEVICE_ID1, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      2
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,370 :: 		end if
L__display_throttle183:
;ThrottleMonitor2.mbas,371 :: 		end sub
L_end_display_throttle:
	RETURN
; end of _display_throttle

_display_rpm:

;ThrottleMonitor2.mbas,378 :: 		sub procedure display_rpm(dim rpm as byte)
;ThrottleMonitor2.mbas,379 :: 		if 32 < rpm then
	MOVF       FARG_display_rpm_rpm+0, 0
	SUBLW      32
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm189
;ThrottleMonitor2.mbas,380 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,381 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_ON  )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,382 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,383 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_ON  )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,384 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, decode_barcode(rpm-32) )
	MOVLW      32
	SUBWF      FARG_display_rpm_rpm+0, 0
	MOVWF      FARG_decode_barcode_level+0
	CALL       _decode_barcode+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
	GOTO       L__display_rpm190
;ThrottleMonitor2.mbas,385 :: 		else if 24 < rpm then
L__display_rpm189:
	MOVF       FARG_display_rpm_rpm+0, 0
	SUBLW      24
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm192
;ThrottleMonitor2.mbas,386 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,387 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_ON  )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,388 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,389 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, decode_barcode(rpm-24) )
	MOVLW      24
	SUBWF      FARG_display_rpm_rpm+0, 0
	MOVWF      FARG_decode_barcode_level+0
	CALL       _decode_barcode+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,390 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_rpm193
;ThrottleMonitor2.mbas,391 :: 		else if 16 < rpm then
L__display_rpm192:
	MOVF       FARG_display_rpm_rpm+0, 0
	SUBLW      16
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm195
;ThrottleMonitor2.mbas,392 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,393 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_ON  )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,394 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, decode_barcode(rpm-16) )
	MOVLW      16
	SUBWF      FARG_display_rpm_rpm+0, 0
	MOVWF      FARG_decode_barcode_level+0
	CALL       _decode_barcode+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,395 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,396 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_rpm196
;ThrottleMonitor2.mbas,397 :: 		else if 8 < rpm then
L__display_rpm195:
	MOVF       FARG_display_rpm_rpm+0, 0
	SUBLW      8
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm198
;ThrottleMonitor2.mbas,398 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,399 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, decode_barcode(rpm-8) )
	MOVLW      8
	SUBWF      FARG_display_rpm_rpm+0, 0
	MOVWF      FARG_decode_barcode_level+0
	CALL       _decode_barcode+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,400 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,401 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,402 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_rpm199
;ThrottleMonitor2.mbas,403 :: 		else
L__display_rpm198:
;ThrottleMonitor2.mbas,404 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, decode_barcode(rpm) )
	MOVF       FARG_display_rpm_rpm+0, 0
	MOVWF      FARG_decode_barcode_level+0
	CALL       _decode_barcode+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,405 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,406 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,407 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,408 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,409 :: 		end if  end if  end if  end if
L__display_rpm199:
L__display_rpm196:
L__display_rpm193:
L__display_rpm190:
;ThrottleMonitor2.mbas,410 :: 		end sub
L_end_display_rpm:
	RETURN
; end of _display_rpm

_display_rpm_reverse:

;ThrottleMonitor2.mbas,412 :: 		sub procedure display_rpm_reverse(dim rpm as byte)
;ThrottleMonitor2.mbas,413 :: 		if 32 < rpm then
	MOVF       FARG_display_rpm_reverse_rpm+0, 0
	SUBLW      32
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm_reverse202
;ThrottleMonitor2.mbas,414 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,415 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,416 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,417 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,418 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, decode_barcode_reverse(rpm-32) )
	MOVLW      32
	SUBWF      FARG_display_rpm_reverse_rpm+0, 0
	MOVWF      FARG_decode_barcode_reverse_level+0
	CALL       _decode_barcode_reverse+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
	GOTO       L__display_rpm_reverse203
;ThrottleMonitor2.mbas,419 :: 		else if 24 < rpm then
L__display_rpm_reverse202:
	MOVF       FARG_display_rpm_reverse_rpm+0, 0
	SUBLW      24
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm_reverse205
;ThrottleMonitor2.mbas,420 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,421 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,422 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,423 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, decode_barcode_reverse(rpm-24) )
	MOVLW      24
	SUBWF      FARG_display_rpm_reverse_rpm+0, 0
	MOVWF      FARG_decode_barcode_reverse_level+0
	CALL       _decode_barcode_reverse+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,424 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_rpm_reverse206
;ThrottleMonitor2.mbas,425 :: 		else if 16 < rpm then
L__display_rpm_reverse205:
	MOVF       FARG_display_rpm_reverse_rpm+0, 0
	SUBLW      16
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm_reverse208
;ThrottleMonitor2.mbas,426 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,427 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_OFF )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,428 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, decode_barcode_reverse(rpm-16) )
	MOVLW      16
	SUBWF      FARG_display_rpm_reverse_rpm+0, 0
	MOVWF      FARG_decode_barcode_reverse_level+0
	CALL       _decode_barcode_reverse+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,429 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_ON  )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,430 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_rpm_reverse209
;ThrottleMonitor2.mbas,431 :: 		else if 8 < rpm then
L__display_rpm_reverse208:
	MOVF       FARG_display_rpm_reverse_rpm+0, 0
	SUBLW      8
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm_reverse211
;ThrottleMonitor2.mbas,432 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_OFF )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,433 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, decode_barcode_reverse(rpm-8) )
	MOVLW      8
	SUBWF      FARG_display_rpm_reverse_rpm+0, 0
	MOVWF      FARG_decode_barcode_reverse_level+0
	CALL       _decode_barcode_reverse+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,434 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,435 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_ON  )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,436 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
	GOTO       L__display_rpm_reverse212
;ThrottleMonitor2.mbas,437 :: 		else
L__display_rpm_reverse211:
;ThrottleMonitor2.mbas,438 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, decode_barcode_reverse(rpm) )
	MOVF       FARG_display_rpm_reverse_rpm+0, 0
	MOVWF      FARG_decode_barcode_reverse_level+0
	CALL       _decode_barcode_reverse+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,439 :: 		write_tca9535( IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_ON  )
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,440 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,441 :: 		write_tca9535( IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_ON  )
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,442 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_ON  )
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,443 :: 		end if  end if  end if  end if
L__display_rpm_reverse212:
L__display_rpm_reverse209:
L__display_rpm_reverse206:
L__display_rpm_reverse203:
;ThrottleMonitor2.mbas,444 :: 		end sub
L_end_display_rpm_reverse:
	RETURN
; end of _display_rpm_reverse

_display_front_brake:

;ThrottleMonitor2.mbas,451 :: 		sub procedure display_front_brake(dim position as byte)
;ThrottleMonitor2.mbas,452 :: 		write_tca9535( IOEXPANDER_DEVICE_ID1, TCA9535_OUTPUT_PORT1, decode_barcode_backword(position) )
	MOVF       FARG_display_front_brake_position+0, 0
	MOVWF      FARG_decode_barcode_backword_level+0
	CALL       _decode_barcode_backword+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,453 :: 		end sub
L_end_display_front_brake:
	RETURN
; end of _display_front_brake

_display_rear_brake:

;ThrottleMonitor2.mbas,460 :: 		sub procedure display_rear_brake(dim position as byte)
;ThrottleMonitor2.mbas,461 :: 		write_tca9535( IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT1, decode_barcode_backword(position) )
	MOVF       FARG_display_rear_brake_position+0, 0
	MOVWF      FARG_decode_barcode_backword_level+0
	CALL       _decode_barcode_backword+0
	MOVF       R0, 0
	MOVWF      FARG_write_tca9535_w_data+0
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,462 :: 		end sub
L_end_display_rear_brake:
	RETURN
; end of _display_rear_brake

_display_speed:

;ThrottleMonitor2.mbas,473 :: 		dim digit3_maskpattern as byte
;ThrottleMonitor2.mbas,475 :: 		digit3 = number mod 10
	MOVLW      10
	MOVWF      R4
	MOVF       FARG_display_speed_number+0, 0
	MOVWF      R0
	CALL       _Div_8x8_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      display_speed_digit3+0
;ThrottleMonitor2.mbas,476 :: 		number = number / 10
	MOVLW      10
	MOVWF      R4
	MOVF       FARG_display_speed_number+0, 0
	MOVWF      R0
	CALL       _Div_8x8_U+0
	MOVF       R0, 0
	MOVWF      FLOC__display_speed+0
	MOVF       FLOC__display_speed+0, 0
	MOVWF      FARG_display_speed_number+0
;ThrottleMonitor2.mbas,477 :: 		digit2 = number mod 10
	MOVLW      10
	MOVWF      R4
	MOVF       FLOC__display_speed+0, 0
	MOVWF      R0
	CALL       _Div_8x8_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      display_speed_digit2+0
;ThrottleMonitor2.mbas,478 :: 		number = number / 10
	MOVLW      10
	MOVWF      R4
	MOVF       FLOC__display_speed+0, 0
	MOVWF      R0
	CALL       _Div_8x8_U+0
	MOVF       R0, 0
	MOVWF      FARG_display_speed_number+0
;ThrottleMonitor2.mbas,479 :: 		digit1 = number mod 10
	MOVLW      10
	MOVWF      R4
	CALL       _Div_8x8_U+0
	MOVF       R8, 0
	MOVWF      R0
;ThrottleMonitor2.mbas,481 :: 		digit1_maskpattern = decode_number( digit1 )
	MOVF       R0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_speed_digit1_maskpattern+0
;ThrottleMonitor2.mbas,482 :: 		digit2_maskpattern = decode_number( digit2 )
	MOVF       display_speed_digit2+0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_speed_digit2_maskpattern+0
;ThrottleMonitor2.mbas,483 :: 		digit3_maskpattern = decode_number( digit3 )
	MOVF       display_speed_digit3+0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_speed_digit3_maskpattern+0
;ThrottleMonitor2.mbas,484 :: 		if digit1_maskpattern = DIGIT_MASK_0 then
	MOVF       display_speed_digit1_maskpattern+0, 0
	XORLW      72
	BTFSS      STATUS+0, 2
	GOTO       L__display_speed217
;ThrottleMonitor2.mbas,485 :: 		digit1_maskpattern = DIGIT_MASK_NON
	MOVLW      255
	MOVWF      display_speed_digit1_maskpattern+0
;ThrottleMonitor2.mbas,486 :: 		if digit2_maskpattern = DIGIT_MASK_0 then
	MOVF       display_speed_digit2_maskpattern+0, 0
	XORLW      72
	BTFSS      STATUS+0, 2
	GOTO       L__display_speed220
;ThrottleMonitor2.mbas,487 :: 		digit2_maskpattern = DIGIT_MASK_NON
	MOVLW      255
	MOVWF      display_speed_digit2_maskpattern+0
L__display_speed220:
;ThrottleMonitor2.mbas,488 :: 		end if
L__display_speed217:
;ThrottleMonitor2.mbas,491 :: 		display_char( 1, digit1_maskpattern )
	MOVLW      1
	MOVWF      FARG_display_char_digit+0
	MOVF       display_speed_digit1_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,492 :: 		display_char( 2, digit2_maskpattern )
	MOVLW      2
	MOVWF      FARG_display_char_digit+0
	MOVF       display_speed_digit2_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,493 :: 		display_char( 3, digit3_maskpattern )
	MOVLW      3
	MOVWF      FARG_display_char_digit+0
	MOVF       display_speed_digit3_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,494 :: 		end sub
L_end_display_speed:
	RETURN
; end of _display_speed

_display_number:

;ThrottleMonitor2.mbas,502 :: 		dim digit3_maskpattern as byte
;ThrottleMonitor2.mbas,504 :: 		digit3 = number mod 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	MOVF       FARG_display_number_number+0, 0
	MOVWF      R0
	MOVF       FARG_display_number_number+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      display_number_digit3+0
;ThrottleMonitor2.mbas,505 :: 		number = number / 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	MOVF       FARG_display_number_number+0, 0
	MOVWF      R0
	MOVF       FARG_display_number_number+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R0, 0
	MOVWF      FLOC__display_number+0
	MOVF       R1, 0
	MOVWF      FLOC__display_number+1
	MOVF       FLOC__display_number+0, 0
	MOVWF      FARG_display_number_number+0
	MOVF       FLOC__display_number+1, 0
	MOVWF      FARG_display_number_number+1
;ThrottleMonitor2.mbas,506 :: 		digit2 = number mod 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	MOVF       FLOC__display_number+0, 0
	MOVWF      R0
	MOVF       FLOC__display_number+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      display_number_digit2+0
;ThrottleMonitor2.mbas,507 :: 		number = number / 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	MOVF       FLOC__display_number+0, 0
	MOVWF      R0
	MOVF       FLOC__display_number+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R0, 0
	MOVWF      FARG_display_number_number+0
	MOVF       R1, 0
	MOVWF      FARG_display_number_number+1
;ThrottleMonitor2.mbas,508 :: 		digit1 = number mod 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
;ThrottleMonitor2.mbas,510 :: 		digit1_maskpattern = decode_number( digit1 )
	MOVF       R0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_number_digit1_maskpattern+0
;ThrottleMonitor2.mbas,511 :: 		digit2_maskpattern = decode_number( digit2 )
	MOVF       display_number_digit2+0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_number_digit2_maskpattern+0
;ThrottleMonitor2.mbas,512 :: 		digit3_maskpattern = decode_number( digit3 )
	MOVF       display_number_digit3+0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_number_digit3_maskpattern+0
;ThrottleMonitor2.mbas,513 :: 		if digit1_maskpattern = DIGIT_MASK_0 then
	MOVF       display_number_digit1_maskpattern+0, 0
	XORLW      72
	BTFSS      STATUS+0, 2
	GOTO       L__display_number224
;ThrottleMonitor2.mbas,514 :: 		digit1_maskpattern = DIGIT_MASK_NON
	MOVLW      255
	MOVWF      display_number_digit1_maskpattern+0
;ThrottleMonitor2.mbas,515 :: 		if digit2_maskpattern = DIGIT_MASK_0 then
	MOVF       display_number_digit2_maskpattern+0, 0
	XORLW      72
	BTFSS      STATUS+0, 2
	GOTO       L__display_number227
;ThrottleMonitor2.mbas,516 :: 		digit2_maskpattern = DIGIT_MASK_NON
	MOVLW      255
	MOVWF      display_number_digit2_maskpattern+0
L__display_number227:
;ThrottleMonitor2.mbas,517 :: 		end if
L__display_number224:
;ThrottleMonitor2.mbas,520 :: 		display_char( 1, digit1_maskpattern )
	MOVLW      1
	MOVWF      FARG_display_char_digit+0
	MOVF       display_number_digit1_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,521 :: 		display_char( 2, digit2_maskpattern )
	MOVLW      2
	MOVWF      FARG_display_char_digit+0
	MOVF       display_number_digit2_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,522 :: 		display_char( 3, digit3_maskpattern )
	MOVLW      3
	MOVWF      FARG_display_char_digit+0
	MOVF       display_number_digit3_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,523 :: 		end sub
L_end_display_number:
	RETURN
; end of _display_number

_display_word:

;ThrottleMonitor2.mbas,534 :: 		dim digit3_maskpattern as byte
;ThrottleMonitor2.mbas,536 :: 		digit3 = number mod 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	MOVF       FARG_display_word_number+0, 0
	MOVWF      R0
	MOVF       FARG_display_word_number+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      display_word_digit3+0
;ThrottleMonitor2.mbas,537 :: 		number = number / 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	MOVF       FARG_display_word_number+0, 0
	MOVWF      R0
	MOVF       FARG_display_word_number+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R0, 0
	MOVWF      FLOC__display_word+0
	MOVF       R1, 0
	MOVWF      FLOC__display_word+1
	MOVF       FLOC__display_word+0, 0
	MOVWF      FARG_display_word_number+0
	MOVF       FLOC__display_word+1, 0
	MOVWF      FARG_display_word_number+1
;ThrottleMonitor2.mbas,538 :: 		digit2 = number mod 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	MOVF       FLOC__display_word+0, 0
	MOVWF      R0
	MOVF       FLOC__display_word+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      display_word_digit2+0
;ThrottleMonitor2.mbas,539 :: 		number = number / 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	MOVF       FLOC__display_word+0, 0
	MOVWF      R0
	MOVF       FLOC__display_word+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R0, 0
	MOVWF      FARG_display_word_number+0
	MOVF       R1, 0
	MOVWF      FARG_display_word_number+1
;ThrottleMonitor2.mbas,540 :: 		digit1 = number mod 10
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
;ThrottleMonitor2.mbas,542 :: 		digit1_maskpattern = decode_number( digit1 )
	MOVF       R0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_word_digit1_maskpattern+0
;ThrottleMonitor2.mbas,543 :: 		digit2_maskpattern = decode_number( digit2 )
	MOVF       display_word_digit2+0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_word_digit2_maskpattern+0
;ThrottleMonitor2.mbas,544 :: 		digit3_maskpattern = decode_number( digit3 )
	MOVF       display_word_digit3+0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      display_word_digit3_maskpattern+0
;ThrottleMonitor2.mbas,546 :: 		display_char( 1, digit1_maskpattern )
	MOVLW      1
	MOVWF      FARG_display_char_digit+0
	MOVF       display_word_digit1_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,547 :: 		display_char( 2, digit2_maskpattern )
	MOVLW      2
	MOVWF      FARG_display_char_digit+0
	MOVF       display_word_digit2_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,548 :: 		display_char( 3, digit3_maskpattern )
	MOVLW      3
	MOVWF      FARG_display_char_digit+0
	MOVF       display_word_digit3_maskpattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,549 :: 		end sub
L_end_display_word:
	RETURN
; end of _display_word

_display_gear_position:

;ThrottleMonitor2.mbas,556 :: 		dim ratio as longword
;ThrottleMonitor2.mbas,558 :: 		if speed_kph = 0 then
	MOVF       FARG_display_gear_position_speed_kph+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position232
;ThrottleMonitor2.mbas,559 :: 		display_char( 4, DIGIT_MASK_0 )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVLW      72
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,560 :: 		exit
	GOTO       L_end__display_gear_position
L__display_gear_position232:
;ThrottleMonitor2.mbas,562 :: 		ratio = (rpm * 60 * TIRE_CIRCUMFERENCE_CB125R) / speed_kph
	MOVF       FARG_display_gear_position_rpm+0, 0
	MOVWF      R0
	MOVF       FARG_display_gear_position_rpm+1, 0
	MOVWF      R1
	MOVF       FARG_display_gear_position_rpm+2, 0
	MOVWF      R2
	MOVF       FARG_display_gear_position_rpm+3, 0
	MOVWF      R3
	MOVLW      60
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVLW      130
	MOVWF      R4
	MOVLW      7
	MOVWF      R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       FARG_display_gear_position_speed_kph+0, 0
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Div_32x32_U+0
	MOVF       R0, 0
	MOVWF      display_gear_position_ratio+0
	MOVF       R1, 0
	MOVWF      display_gear_position_ratio+1
	MOVF       R2, 0
	MOVWF      display_gear_position_ratio+2
	MOVF       R3, 0
	MOVWF      display_gear_position_ratio+3
;ThrottleMonitor2.mbas,563 :: 		if ratio < GEAR_RATIO_CB125R_6 then
	MOVLW      0
	SUBWF      R3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position445
	MOVLW      146
	SUBWF      R2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position445
	MOVLW      223
	SUBWF      R1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position445
	MOVLW      208
	SUBWF      R0, 0
L__display_gear_position445:
	BTFSC      STATUS+0, 0
	GOTO       L__display_gear_position235
;ThrottleMonitor2.mbas,564 :: 		display_char( 4, DIGIT_MASK_6 )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVLW      10
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,565 :: 		exit
	GOTO       L_end__display_gear_position
L__display_gear_position235:
;ThrottleMonitor2.mbas,567 :: 		if ratio < GEAR_RATIO_CB125R_5 then
	MOVLW      0
	SUBWF      display_gear_position_ratio+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position446
	MOVLW      165
	SUBWF      display_gear_position_ratio+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position446
	MOVLW      166
	SUBWF      display_gear_position_ratio+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position446
	MOVLW      185
	SUBWF      display_gear_position_ratio+0, 0
L__display_gear_position446:
	BTFSC      STATUS+0, 0
	GOTO       L__display_gear_position238
;ThrottleMonitor2.mbas,568 :: 		display_char( 4, DIGIT_MASK_5 )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVLW      11
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,569 :: 		exit
	GOTO       L_end__display_gear_position
L__display_gear_position238:
;ThrottleMonitor2.mbas,571 :: 		if ratio < GEAR_RATIO_CB125R_4 then
	MOVLW      0
	SUBWF      display_gear_position_ratio+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position447
	MOVLW      186
	SUBWF      display_gear_position_ratio+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position447
	MOVLW      167
	SUBWF      display_gear_position_ratio+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position447
	MOVLW      241
	SUBWF      display_gear_position_ratio+0, 0
L__display_gear_position447:
	BTFSC      STATUS+0, 0
	GOTO       L__display_gear_position241
;ThrottleMonitor2.mbas,572 :: 		display_char( 4, DIGIT_MASK_4 )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVLW      45
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,573 :: 		exit
	GOTO       L_end__display_gear_position
L__display_gear_position241:
;ThrottleMonitor2.mbas,575 :: 		if ratio < GEAR_RATIO_CB125R_3 then
	MOVLW      0
	SUBWF      display_gear_position_ratio+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position448
	MOVLW      230
	SUBWF      display_gear_position_ratio+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position448
	MOVLW      187
	SUBWF      display_gear_position_ratio+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position448
	MOVLW      246
	SUBWF      display_gear_position_ratio+0, 0
L__display_gear_position448:
	BTFSC      STATUS+0, 0
	GOTO       L__display_gear_position244
;ThrottleMonitor2.mbas,576 :: 		display_char( 4, DIGIT_MASK_3 )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVLW      137
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,577 :: 		exit
	GOTO       L_end__display_gear_position
L__display_gear_position244:
;ThrottleMonitor2.mbas,579 :: 		if ratio < GEAR_RATIO_CB125R_2 then
	MOVLW      1
	SUBWF      display_gear_position_ratio+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position449
	MOVLW      52
	SUBWF      display_gear_position_ratio+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position449
	MOVLW      221
	SUBWF      display_gear_position_ratio+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position449
	MOVLW      152
	SUBWF      display_gear_position_ratio+0, 0
L__display_gear_position449:
	BTFSC      STATUS+0, 0
	GOTO       L__display_gear_position247
;ThrottleMonitor2.mbas,580 :: 		display_char( 4, DIGIT_MASK_2 )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVLW      152
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,581 :: 		exit
	GOTO       L_end__display_gear_position
L__display_gear_position247:
;ThrottleMonitor2.mbas,583 :: 		if ratio < GEAR_RATIO_CB125R_1 then
	MOVLW      2
	SUBWF      display_gear_position_ratio+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position450
	MOVLW      37
	SUBWF      display_gear_position_ratio+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position450
	MOVLW      159
	SUBWF      display_gear_position_ratio+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__display_gear_position450
	MOVLW      244
	SUBWF      display_gear_position_ratio+0, 0
L__display_gear_position450:
	BTFSC      STATUS+0, 0
	GOTO       L__display_gear_position250
;ThrottleMonitor2.mbas,584 :: 		display_char( 4, DIGIT_MASK_1 )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVLW      237
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
	GOTO       L__display_gear_position251
;ThrottleMonitor2.mbas,585 :: 		else
L__display_gear_position250:
;ThrottleMonitor2.mbas,586 :: 		display_char( 4, DIGIT_MASK_0 )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVLW      72
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,587 :: 		end if
L__display_gear_position251:
;ThrottleMonitor2.mbas,588 :: 		end sub
L_end__display_gear_position:
L_end_display_gear_position:
	RETURN
; end of _display_gear_position

_display_rpm_p_1000:

;ThrottleMonitor2.mbas,595 :: 		dim dot as boolean
;ThrottleMonitor2.mbas,597 :: 		if ((rpm / 100) mod 10 ) > 5 then
	MOVLW      100
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	MOVF       FARG_display_rpm_p_1000_rpm+0, 0
	MOVWF      R0
	MOVF       FARG_display_rpm_p_1000_rpm+1, 0
	MOVWF      R1
	MOVF       FARG_display_rpm_p_1000_rpm+2, 0
	MOVWF      R2
	MOVF       FARG_display_rpm_p_1000_rpm+3, 0
	MOVWF      R3
	CALL       _Div_32x32_U+0
	MOVLW      10
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Div_32x32_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVF       R10, 0
	MOVWF      R2
	MOVF       R11, 0
	MOVWF      R3
	MOVF       R3, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__display_rpm_p_1000452
	MOVF       R2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__display_rpm_p_1000452
	MOVF       R1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__display_rpm_p_1000452
	MOVF       R0, 0
	SUBLW      5
L__display_rpm_p_1000452:
	BTFSC      STATUS+0, 0
	GOTO       L__display_rpm_p_1000254
;ThrottleMonitor2.mbas,598 :: 		dot = true
	MOVLW      255
	MOVWF      display_rpm_p_1000_dot+0
	GOTO       L__display_rpm_p_1000255
;ThrottleMonitor2.mbas,599 :: 		else
L__display_rpm_p_1000254:
;ThrottleMonitor2.mbas,600 :: 		dot = false
	CLRF       display_rpm_p_1000_dot+0
;ThrottleMonitor2.mbas,601 :: 		end if
L__display_rpm_p_1000255:
;ThrottleMonitor2.mbas,603 :: 		num = rpm / 1000
	MOVLW      232
	MOVWF      R4
	MOVLW      3
	MOVWF      R5
	CLRF       R6
	CLRF       R7
	MOVF       FARG_display_rpm_p_1000_rpm+0, 0
	MOVWF      R0
	MOVF       FARG_display_rpm_p_1000_rpm+1, 0
	MOVWF      R1
	MOVF       FARG_display_rpm_p_1000_rpm+2, 0
	MOVWF      R2
	MOVF       FARG_display_rpm_p_1000_rpm+3, 0
	MOVWF      R3
	CALL       _Div_32x32_U+0
	MOVF       R0, 0
	MOVWF      display_rpm_p_1000_num+0
;ThrottleMonitor2.mbas,604 :: 		if dot then
	MOVF       display_rpm_p_1000_dot+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__display_rpm_p_1000257
;ThrottleMonitor2.mbas,605 :: 		display_char( 4, decode_number(num) and DIGIT_MASK_DP )
	MOVF       display_rpm_p_1000_num+0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVLW      247
	ANDWF      R0, 0
	MOVWF      FARG_display_char_char_mask+0
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	CALL       _display_char+0
	GOTO       L__display_rpm_p_1000258
;ThrottleMonitor2.mbas,606 :: 		else
L__display_rpm_p_1000257:
;ThrottleMonitor2.mbas,607 :: 		display_char( 4, decode_number(num) )
	MOVF       display_rpm_p_1000_num+0, 0
	MOVWF      FARG_decode_number_number+0
	CALL       _decode_number+0
	MOVF       R0, 0
	MOVWF      FARG_display_char_char_mask+0
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,608 :: 		end if
L__display_rpm_p_1000258:
;ThrottleMonitor2.mbas,609 :: 		end sub
L_end_display_rpm_p_1000:
	RETURN
; end of _display_rpm_p_1000

_ioexpander_tca9535_initialize:

;ThrottleMonitor2.mbas,614 :: 		sub procedure ioexpander_tca9535_initialize()
;ThrottleMonitor2.mbas,615 :: 		write_tca9535(IOEXPANDER_DEVICE_ID0, TCA9535_CONFIGURATION_PORT0,TCA9535_CONFIGURATION_OUTPUT)
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      6
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,616 :: 		write_tca9535(IOEXPANDER_DEVICE_ID0, TCA9535_CONFIGURATION_PORT1,TCA9535_CONFIGURATION_OUTPUT)
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      7
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,617 :: 		write_tca9535(IOEXPANDER_DEVICE_ID1, TCA9535_CONFIGURATION_PORT0,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      2
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      6
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,618 :: 		write_tca9535(IOEXPANDER_DEVICE_ID1, TCA9535_CONFIGURATION_PORT1,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      2
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      7
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,619 :: 		write_tca9535(IOEXPANDER_DEVICE_ID2, TCA9535_CONFIGURATION_PORT0,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      4
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      6
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,620 :: 		write_tca9535(IOEXPANDER_DEVICE_ID2, TCA9535_CONFIGURATION_PORT1,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      4
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      7
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,621 :: 		write_tca9535(IOEXPANDER_DEVICE_ID3, TCA9535_CONFIGURATION_PORT0,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      6
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      6
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,622 :: 		write_tca9535(IOEXPANDER_DEVICE_ID3, TCA9535_CONFIGURATION_PORT1,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      6
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      7
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,623 :: 		write_tca9535(IOEXPANDER_DEVICE_ID4, TCA9535_CONFIGURATION_PORT0,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      6
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,624 :: 		write_tca9535(IOEXPANDER_DEVICE_ID4, TCA9535_CONFIGURATION_PORT1,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      7
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,625 :: 		write_tca9535(IOEXPANDER_DEVICE_ID5, TCA9535_CONFIGURATION_PORT0,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      6
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,626 :: 		write_tca9535(IOEXPANDER_DEVICE_ID5, TCA9535_CONFIGURATION_PORT1,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      7
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,627 :: 		write_tca9535(IOEXPANDER_DEVICE_ID6, TCA9535_CONFIGURATION_PORT0,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      6
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,628 :: 		write_tca9535(IOEXPANDER_DEVICE_ID6, TCA9535_CONFIGURATION_PORT1,TCA9535_CONFIGURATION_OUTPUT)
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      7
	MOVWF      FARG_write_tca9535_command_byte+0
	CLRF       FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,630 :: 		write_tca9535(IOEXPANDER_DEVICE_ID0, TCA9535_OUTPUT_PORT0, LED_ALL_OFF)
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,631 :: 		write_tca9535(IOEXPANDER_DEVICE_ID0, TCA9535_OUTPUT_PORT1, LED_ALL_OFF)
	CLRF       FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,632 :: 		write_tca9535(IOEXPANDER_DEVICE_ID1, TCA9535_OUTPUT_PORT0, LED_ALL_OFF)
	MOVLW      2
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,633 :: 		write_tca9535(IOEXPANDER_DEVICE_ID1, TCA9535_OUTPUT_PORT1, LED_ALL_OFF)
	MOVLW      2
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,634 :: 		write_tca9535(IOEXPANDER_DEVICE_ID2, TCA9535_OUTPUT_PORT0, LED_ALL_OFF)
	MOVLW      4
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,635 :: 		write_tca9535(IOEXPANDER_DEVICE_ID2, TCA9535_OUTPUT_PORT1, LED_ALL_OFF)
	MOVLW      4
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,636 :: 		write_tca9535(IOEXPANDER_DEVICE_ID3, TCA9535_OUTPUT_PORT0, LED_ALL_OFF)
	MOVLW      6
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,637 :: 		write_tca9535(IOEXPANDER_DEVICE_ID3, TCA9535_OUTPUT_PORT1, LED_ALL_OFF)
	MOVLW      6
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,638 :: 		write_tca9535(IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT0, LED_ALL_OFF)
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,639 :: 		write_tca9535(IOEXPANDER_DEVICE_ID4, TCA9535_OUTPUT_PORT1, LED_ALL_OFF)
	MOVLW      8
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,640 :: 		write_tca9535(IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT0, LED_ALL_OFF)
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,641 :: 		write_tca9535(IOEXPANDER_DEVICE_ID5, TCA9535_OUTPUT_PORT1, LED_ALL_OFF)
	MOVLW      10
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,642 :: 		write_tca9535(IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT0, LED_ALL_OFF)
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      2
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,643 :: 		write_tca9535(IOEXPANDER_DEVICE_ID6, TCA9535_OUTPUT_PORT1, LED_ALL_OFF)
	MOVLW      12
	MOVWF      FARG_write_tca9535_device_address+0
	MOVLW      3
	MOVWF      FARG_write_tca9535_command_byte+0
	MOVLW      255
	MOVWF      FARG_write_tca9535_w_data+0
	CALL       _write_tca9535+0
;ThrottleMonitor2.mbas,644 :: 		end sub
L_end_ioexpander_tca9535_initialize:
	RETURN
; end of _ioexpander_tca9535_initialize

_segment_led_test:

;ThrottleMonitor2.mbas,649 :: 		sub procedure segment_led_test(dim pattern as byte)
;ThrottleMonitor2.mbas,650 :: 		display_char( 1, pattern )
	MOVLW      1
	MOVWF      FARG_display_char_digit+0
	MOVF       FARG_segment_led_test_pattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,651 :: 		display_char( 2, pattern )
	MOVLW      2
	MOVWF      FARG_display_char_digit+0
	MOVF       FARG_segment_led_test_pattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,652 :: 		display_char( 3, pattern )
	MOVLW      3
	MOVWF      FARG_display_char_digit+0
	MOVF       FARG_segment_led_test_pattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,653 :: 		display_char( 4, pattern )
	MOVLW      4
	MOVWF      FARG_display_char_digit+0
	MOVF       FARG_segment_led_test_pattern+0, 0
	MOVWF      FARG_display_char_char_mask+0
	CALL       _display_char+0
;ThrottleMonitor2.mbas,654 :: 		end sub
L_end_segment_led_test:
	RETURN
; end of _segment_led_test

_display_startup:

;ThrottleMonitor2.mbas,660 :: 		dim num as byte
;ThrottleMonitor2.mbas,662 :: 		segment_led_test( SEGMENT_A )
	MOVLW      251
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,663 :: 		delay_ms(70)
	MOVLW      3
	MOVWF      R11
	MOVLW      216
	MOVWF      R12
	MOVLW      65
	MOVWF      R13
L__display_startup262:
	DECFSZ     R13, 1
	GOTO       L__display_startup262
	DECFSZ     R12, 1
	GOTO       L__display_startup262
	DECFSZ     R11, 1
	GOTO       L__display_startup262
	NOP
	NOP
;ThrottleMonitor2.mbas,664 :: 		segment_led_test( SEGMENT_B )
	MOVLW      253
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,665 :: 		delay_ms(70)
	MOVLW      3
	MOVWF      R11
	MOVLW      216
	MOVWF      R12
	MOVLW      65
	MOVWF      R13
L__display_startup263:
	DECFSZ     R13, 1
	GOTO       L__display_startup263
	DECFSZ     R12, 1
	GOTO       L__display_startup263
	DECFSZ     R11, 1
	GOTO       L__display_startup263
	NOP
	NOP
;ThrottleMonitor2.mbas,666 :: 		segment_led_test( SEGMENT_C )
	MOVLW      239
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,667 :: 		delay_ms(70)
	MOVLW      3
	MOVWF      R11
	MOVLW      216
	MOVWF      R12
	MOVLW      65
	MOVWF      R13
L__display_startup264:
	DECFSZ     R13, 1
	GOTO       L__display_startup264
	DECFSZ     R12, 1
	GOTO       L__display_startup264
	DECFSZ     R11, 1
	GOTO       L__display_startup264
	NOP
	NOP
;ThrottleMonitor2.mbas,668 :: 		segment_led_test( SEGMENT_D )
	MOVLW      223
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,669 :: 		delay_ms(70)
	MOVLW      3
	MOVWF      R11
	MOVLW      216
	MOVWF      R12
	MOVLW      65
	MOVWF      R13
L__display_startup265:
	DECFSZ     R13, 1
	GOTO       L__display_startup265
	DECFSZ     R12, 1
	GOTO       L__display_startup265
	DECFSZ     R11, 1
	GOTO       L__display_startup265
	NOP
	NOP
;ThrottleMonitor2.mbas,670 :: 		segment_led_test( SEGMENT_E )
	MOVLW      254
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,671 :: 		delay_ms(70)
	MOVLW      3
	MOVWF      R11
	MOVLW      216
	MOVWF      R12
	MOVLW      65
	MOVWF      R13
L__display_startup266:
	DECFSZ     R13, 1
	GOTO       L__display_startup266
	DECFSZ     R12, 1
	GOTO       L__display_startup266
	DECFSZ     R11, 1
	GOTO       L__display_startup266
	NOP
	NOP
;ThrottleMonitor2.mbas,672 :: 		segment_led_test( SEGMENT_F )
	MOVLW      127
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,673 :: 		delay_ms(70)
	MOVLW      3
	MOVWF      R11
	MOVLW      216
	MOVWF      R12
	MOVLW      65
	MOVWF      R13
L__display_startup267:
	DECFSZ     R13, 1
	GOTO       L__display_startup267
	DECFSZ     R12, 1
	GOTO       L__display_startup267
	DECFSZ     R11, 1
	GOTO       L__display_startup267
	NOP
	NOP
;ThrottleMonitor2.mbas,674 :: 		segment_led_test( SEGMENT_G )
	MOVLW      191
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,675 :: 		delay_ms(70)
	MOVLW      3
	MOVWF      R11
	MOVLW      216
	MOVWF      R12
	MOVLW      65
	MOVWF      R13
L__display_startup268:
	DECFSZ     R13, 1
	GOTO       L__display_startup268
	DECFSZ     R12, 1
	GOTO       L__display_startup268
	DECFSZ     R11, 1
	GOTO       L__display_startup268
	NOP
	NOP
;ThrottleMonitor2.mbas,676 :: 		segment_led_test( SEGMENT_DP )
	MOVLW      247
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,677 :: 		delay_ms(70)
	MOVLW      3
	MOVWF      R11
	MOVLW      216
	MOVWF      R12
	MOVLW      65
	MOVWF      R13
L__display_startup269:
	DECFSZ     R13, 1
	GOTO       L__display_startup269
	DECFSZ     R12, 1
	GOTO       L__display_startup269
	DECFSZ     R11, 1
	GOTO       L__display_startup269
	NOP
	NOP
;ThrottleMonitor2.mbas,678 :: 		segment_led_test( DIGIT_MASK_NON )
	MOVLW      255
	MOVWF      FARG_segment_led_test_pattern+0
	CALL       _segment_led_test+0
;ThrottleMonitor2.mbas,680 :: 		for num = 0 to 24
	CLRF       display_startup_num+0
L__display_startup271:
;ThrottleMonitor2.mbas,681 :: 		display_throttle( num )
	MOVF       display_startup_num+0, 0
	MOVWF      FARG_display_throttle_throttle_position+0
	CALL       _display_throttle+0
;ThrottleMonitor2.mbas,682 :: 		delay_ms(5)
	MOVLW      52
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__display_startup275:
	DECFSZ     R13, 1
	GOTO       L__display_startup275
	DECFSZ     R12, 1
	GOTO       L__display_startup275
	NOP
	NOP
;ThrottleMonitor2.mbas,683 :: 		next num
	MOVF       display_startup_num+0, 0
	XORLW      24
	BTFSC      STATUS+0, 2
	GOTO       L__display_startup274
	INCF       display_startup_num+0, 1
	GOTO       L__display_startup271
L__display_startup274:
;ThrottleMonitor2.mbas,684 :: 		delay_ms(50)
	MOVLW      3
	MOVWF      R11
	MOVLW      8
	MOVWF      R12
	MOVLW      119
	MOVWF      R13
L__display_startup276:
	DECFSZ     R13, 1
	GOTO       L__display_startup276
	DECFSZ     R12, 1
	GOTO       L__display_startup276
	DECFSZ     R11, 1
	GOTO       L__display_startup276
;ThrottleMonitor2.mbas,685 :: 		for num = 24 to 0 step -1
	MOVLW      24
	MOVWF      display_startup_num+0
L__display_startup278:
;ThrottleMonitor2.mbas,686 :: 		display_throttle( num )
	MOVF       display_startup_num+0, 0
	MOVWF      FARG_display_throttle_throttle_position+0
	CALL       _display_throttle+0
;ThrottleMonitor2.mbas,687 :: 		delay_ms(5)
	MOVLW      52
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__display_startup282:
	DECFSZ     R13, 1
	GOTO       L__display_startup282
	DECFSZ     R12, 1
	GOTO       L__display_startup282
	NOP
	NOP
;ThrottleMonitor2.mbas,688 :: 		next num
	MOVF       display_startup_num+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__display_startup281
	MOVLW      255
	ADDWF      display_startup_num+0, 1
	GOTO       L__display_startup278
L__display_startup281:
;ThrottleMonitor2.mbas,690 :: 		for num = 0 to 8
	CLRF       display_startup_num+0
L__display_startup284:
;ThrottleMonitor2.mbas,691 :: 		display_front_brake( num )
	MOVF       display_startup_num+0, 0
	MOVWF      FARG_display_front_brake_position+0
	CALL       _display_front_brake+0
;ThrottleMonitor2.mbas,692 :: 		delay_ms(5)
	MOVLW      52
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__display_startup288:
	DECFSZ     R13, 1
	GOTO       L__display_startup288
	DECFSZ     R12, 1
	GOTO       L__display_startup288
	NOP
	NOP
;ThrottleMonitor2.mbas,693 :: 		next num
	MOVF       display_startup_num+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__display_startup287
	INCF       display_startup_num+0, 1
	GOTO       L__display_startup284
L__display_startup287:
;ThrottleMonitor2.mbas,694 :: 		delay_ms(50)
	MOVLW      3
	MOVWF      R11
	MOVLW      8
	MOVWF      R12
	MOVLW      119
	MOVWF      R13
L__display_startup289:
	DECFSZ     R13, 1
	GOTO       L__display_startup289
	DECFSZ     R12, 1
	GOTO       L__display_startup289
	DECFSZ     R11, 1
	GOTO       L__display_startup289
;ThrottleMonitor2.mbas,695 :: 		for num = 8 to 0 step -1
	MOVLW      8
	MOVWF      display_startup_num+0
L__display_startup291:
;ThrottleMonitor2.mbas,696 :: 		display_front_brake( num )
	MOVF       display_startup_num+0, 0
	MOVWF      FARG_display_front_brake_position+0
	CALL       _display_front_brake+0
;ThrottleMonitor2.mbas,697 :: 		delay_ms(5)
	MOVLW      52
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__display_startup295:
	DECFSZ     R13, 1
	GOTO       L__display_startup295
	DECFSZ     R12, 1
	GOTO       L__display_startup295
	NOP
	NOP
;ThrottleMonitor2.mbas,698 :: 		next num
	MOVF       display_startup_num+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__display_startup294
	MOVLW      255
	ADDWF      display_startup_num+0, 1
	GOTO       L__display_startup291
L__display_startup294:
;ThrottleMonitor2.mbas,700 :: 		for num = 0 to 8
	CLRF       display_startup_num+0
L__display_startup297:
;ThrottleMonitor2.mbas,701 :: 		display_rear_brake( num )
	MOVF       display_startup_num+0, 0
	MOVWF      FARG_display_rear_brake_position+0
	CALL       _display_rear_brake+0
;ThrottleMonitor2.mbas,702 :: 		delay_ms(5)
	MOVLW      52
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__display_startup301:
	DECFSZ     R13, 1
	GOTO       L__display_startup301
	DECFSZ     R12, 1
	GOTO       L__display_startup301
	NOP
	NOP
;ThrottleMonitor2.mbas,703 :: 		next num
	MOVF       display_startup_num+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__display_startup300
	INCF       display_startup_num+0, 1
	GOTO       L__display_startup297
L__display_startup300:
;ThrottleMonitor2.mbas,704 :: 		delay_ms(50)
	MOVLW      3
	MOVWF      R11
	MOVLW      8
	MOVWF      R12
	MOVLW      119
	MOVWF      R13
L__display_startup302:
	DECFSZ     R13, 1
	GOTO       L__display_startup302
	DECFSZ     R12, 1
	GOTO       L__display_startup302
	DECFSZ     R11, 1
	GOTO       L__display_startup302
;ThrottleMonitor2.mbas,705 :: 		for num = 8 to 0 step -1
	MOVLW      8
	MOVWF      display_startup_num+0
L__display_startup304:
;ThrottleMonitor2.mbas,706 :: 		display_rear_brake( num )
	MOVF       display_startup_num+0, 0
	MOVWF      FARG_display_rear_brake_position+0
	CALL       _display_rear_brake+0
;ThrottleMonitor2.mbas,707 :: 		delay_ms(5)
	MOVLW      52
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__display_startup308:
	DECFSZ     R13, 1
	GOTO       L__display_startup308
	DECFSZ     R12, 1
	GOTO       L__display_startup308
	NOP
	NOP
;ThrottleMonitor2.mbas,708 :: 		next num
	MOVF       display_startup_num+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__display_startup307
	MOVLW      255
	ADDWF      display_startup_num+0, 1
	GOTO       L__display_startup304
L__display_startup307:
;ThrottleMonitor2.mbas,710 :: 		for num = 0 to 40
	CLRF       display_startup_num+0
L__display_startup310:
;ThrottleMonitor2.mbas,711 :: 		display_rpm( num )
	MOVF       display_startup_num+0, 0
	MOVWF      FARG_display_rpm_rpm+0
	CALL       _display_rpm+0
;ThrottleMonitor2.mbas,712 :: 		delay_ms(5)
	MOVLW      52
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__display_startup314:
	DECFSZ     R13, 1
	GOTO       L__display_startup314
	DECFSZ     R12, 1
	GOTO       L__display_startup314
	NOP
	NOP
;ThrottleMonitor2.mbas,713 :: 		next num
	MOVF       display_startup_num+0, 0
	XORLW      40
	BTFSC      STATUS+0, 2
	GOTO       L__display_startup313
	INCF       display_startup_num+0, 1
	GOTO       L__display_startup310
L__display_startup313:
;ThrottleMonitor2.mbas,714 :: 		delay_ms(50)
	MOVLW      3
	MOVWF      R11
	MOVLW      8
	MOVWF      R12
	MOVLW      119
	MOVWF      R13
L__display_startup315:
	DECFSZ     R13, 1
	GOTO       L__display_startup315
	DECFSZ     R12, 1
	GOTO       L__display_startup315
	DECFSZ     R11, 1
	GOTO       L__display_startup315
;ThrottleMonitor2.mbas,715 :: 		for num = 40 to 0 step -1
	MOVLW      40
	MOVWF      display_startup_num+0
L__display_startup317:
;ThrottleMonitor2.mbas,716 :: 		display_rpm( num )
	MOVF       display_startup_num+0, 0
	MOVWF      FARG_display_rpm_rpm+0
	CALL       _display_rpm+0
;ThrottleMonitor2.mbas,717 :: 		delay_ms(5)
	MOVLW      52
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__display_startup321:
	DECFSZ     R13, 1
	GOTO       L__display_startup321
	DECFSZ     R12, 1
	GOTO       L__display_startup321
	NOP
	NOP
;ThrottleMonitor2.mbas,718 :: 		next num
	MOVF       display_startup_num+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__display_startup320
	MOVLW      255
	ADDWF      display_startup_num+0, 1
	GOTO       L__display_startup317
L__display_startup320:
;ThrottleMonitor2.mbas,719 :: 		end sub
L_end_display_startup:
	RETURN
; end of _display_startup

_ad_get:

;ThrottleMonitor2.mbas,724 :: 		sub function ad_get(dim channel as byte) as word
;ThrottleMonitor2.mbas,726 :: 		case CHANNEL_THROTTLE
	MOVF       FARG_ad_get_channel+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__ad_get326
;ThrottleMonitor2.mbas,727 :: 		CHS4_bit = THROTTLE_CHS4
	BCF        CHS4_bit+0, BitPos(CHS4_bit+0)
;ThrottleMonitor2.mbas,728 :: 		CHS3_bit = THROTTLE_CHS3
	BSF        CHS3_bit+0, BitPos(CHS3_bit+0)
;ThrottleMonitor2.mbas,729 :: 		CHS2_bit = THROTTLE_CHS2
	BCF        CHS2_bit+0, BitPos(CHS2_bit+0)
;ThrottleMonitor2.mbas,730 :: 		CHS1_bit = THROTTLE_CHS1
	BCF        CHS1_bit+0, BitPos(CHS1_bit+0)
;ThrottleMonitor2.mbas,731 :: 		CHS0_bit = THROTTLE_CHS0
	BSF        CHS0_bit+0, BitPos(CHS0_bit+0)
	GOTO       L__ad_get323
L__ad_get326:
;ThrottleMonitor2.mbas,732 :: 		case CHANNEL_DIMMER
	MOVF       FARG_ad_get_channel+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__ad_get329
;ThrottleMonitor2.mbas,733 :: 		CHS4_bit = DIMMER_CHS4
	BCF        CHS4_bit+0, BitPos(CHS4_bit+0)
;ThrottleMonitor2.mbas,734 :: 		CHS3_bit = DIMMER_CHS3
	BCF        CHS3_bit+0, BitPos(CHS3_bit+0)
;ThrottleMonitor2.mbas,735 :: 		CHS2_bit = DIMMER_CHS2
	BCF        CHS2_bit+0, BitPos(CHS2_bit+0)
;ThrottleMonitor2.mbas,736 :: 		CHS1_bit = DIMMER_CHS1
	BSF        CHS1_bit+0, BitPos(CHS1_bit+0)
;ThrottleMonitor2.mbas,737 :: 		CHS0_bit = DIMMER_CHS0
	BSF        CHS0_bit+0, BitPos(CHS0_bit+0)
	GOTO       L__ad_get323
L__ad_get329:
;ThrottleMonitor2.mbas,738 :: 		case CHANNEL_FBRAKE
	MOVF       FARG_ad_get_channel+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__ad_get332
;ThrottleMonitor2.mbas,739 :: 		CHS4_bit = FBRAKE_CHS4
	BCF        CHS4_bit+0, BitPos(CHS4_bit+0)
;ThrottleMonitor2.mbas,740 :: 		CHS3_bit = FBRAKE_CHS3
	BCF        CHS3_bit+0, BitPos(CHS3_bit+0)
;ThrottleMonitor2.mbas,741 :: 		CHS2_bit = FBRAKE_CHS2
	BCF        CHS2_bit+0, BitPos(CHS2_bit+0)
;ThrottleMonitor2.mbas,742 :: 		CHS1_bit = FBRAKE_CHS1
	BCF        CHS1_bit+0, BitPos(CHS1_bit+0)
;ThrottleMonitor2.mbas,743 :: 		CHS0_bit = FBRAKE_CHS0
	BSF        CHS0_bit+0, BitPos(CHS0_bit+0)
	GOTO       L__ad_get323
L__ad_get332:
;ThrottleMonitor2.mbas,744 :: 		case CHANNEL_RBRAKE
	MOVF       FARG_ad_get_channel+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__ad_get335
;ThrottleMonitor2.mbas,745 :: 		CHS4_bit = RBRAKE_CHS4
	BCF        CHS4_bit+0, BitPos(CHS4_bit+0)
;ThrottleMonitor2.mbas,746 :: 		CHS3_bit = RBRAKE_CHS3
	BCF        CHS3_bit+0, BitPos(CHS3_bit+0)
;ThrottleMonitor2.mbas,747 :: 		CHS2_bit = RBRAKE_CHS2
	BCF        CHS2_bit+0, BitPos(CHS2_bit+0)
;ThrottleMonitor2.mbas,748 :: 		CHS1_bit = RBRAKE_CHS1
	BCF        CHS1_bit+0, BitPos(CHS1_bit+0)
;ThrottleMonitor2.mbas,749 :: 		CHS0_bit = RBRAKE_CHS0
	BCF        CHS0_bit+0, BitPos(CHS0_bit+0)
	GOTO       L__ad_get323
L__ad_get335:
L__ad_get323:
;ThrottleMonitor2.mbas,752 :: 		GO_NOT_DONE_bit = 1
	BSF        GO_NOT_DONE_bit+0, BitPos(GO_NOT_DONE_bit+0)
;ThrottleMonitor2.mbas,753 :: 		while GO_NOT_DONE_bit = 1
L__ad_get337:
	BTFSC      GO_NOT_DONE_bit+0, BitPos(GO_NOT_DONE_bit+0)
	GOTO       L__ad_get337
;ThrottleMonitor2.mbas,755 :: 		byteH = ADRESH
	MOVF       ADRESH+0, 0
	MOVWF      37
;ThrottleMonitor2.mbas,756 :: 		byteL = ADRESL
	MOVF       ADRESL+0, 0
	MOVWF      36
;ThrottleMonitor2.mbas,757 :: 		result = word_val
	MOVF       36, 0
	MOVWF      R2+0
	MOVF       37, 0
	MOVWF      R2+1
;ThrottleMonitor2.mbas,758 :: 		end sub
	MOVF       R2+0, 0
	MOVWF      R0
	MOVF       R2+1, 0
	MOVWF      R1
L_end_ad_get:
	RETURN
; end of _ad_get

_get_dimmer:

;ThrottleMonitor2.mbas,763 :: 		sub function get_dimmer() as byte
;ThrottleMonitor2.mbas,764 :: 		result = ad_get( CHANNEL_DIMMER ) / 4      ' about 20 to 200
	MOVLW      3
	MOVWF      FARG_ad_get_channel+0
	CALL       _ad_get+0
	MOVF       R0, 0
	MOVWF      R2
	MOVF       R1, 0
	MOVWF      R3
	LSRF       R3, 1
	RRF        R2, 1
	LSRF       R3, 1
	RRF        R2, 1
	MOVF       R2, 0
	MOVWF      get_dimmer_local_result+0
;ThrottleMonitor2.mbas,765 :: 		end sub
	MOVF       get_dimmer_local_result+0, 0
	MOVWF      R0
L_end_get_dimmer:
	RETURN
; end of _get_dimmer

_get_dimmer_raw:

;ThrottleMonitor2.mbas,767 :: 		sub function get_dimmer_raw() as word
;ThrottleMonitor2.mbas,768 :: 		result = ad_get( CHANNEL_DIMMER )
	MOVLW      3
	MOVWF      FARG_ad_get_channel+0
	CALL       _ad_get+0
	MOVF       R0, 0
	MOVWF      get_dimmer_raw_local_result+0
	MOVF       R1, 0
	MOVWF      get_dimmer_raw_local_result+1
;ThrottleMonitor2.mbas,769 :: 		end sub
	MOVF       get_dimmer_raw_local_result+0, 0
	MOVWF      R0
	MOVF       get_dimmer_raw_local_result+1, 0
	MOVWF      R1
L_end_get_dimmer_raw:
	RETURN
; end of _get_dimmer_raw

_get_front_brake:

;ThrottleMonitor2.mbas,779 :: 		dim tmp_result as byte
;ThrottleMonitor2.mbas,782 :: 		reverse = true
	MOVLW      255
	MOVWF      get_front_brake_reverse+0
;ThrottleMonitor2.mbas,783 :: 		max_brake = SOFT_AD_FRONT_BARKE
	MOVLW      212
	MOVWF      get_front_brake_max_brake+0
	MOVLW      3
	MOVWF      get_front_brake_max_brake+1
;ThrottleMonitor2.mbas,784 :: 		min_brake = HARD_AD_FRONT_BARKE
	MOVLW      152
	MOVWF      get_front_brake_min_brake+0
	MOVLW      3
	MOVWF      get_front_brake_min_brake+1
;ThrottleMonitor2.mbas,789 :: 		end if
L__get_front_brake346:
;ThrottleMonitor2.mbas,791 :: 		ad_brake_value = ad_get( CHANNEL_FBRAKE )
	MOVLW      1
	MOVWF      FARG_ad_get_channel+0
	CALL       _ad_get+0
	MOVF       R0, 0
	MOVWF      get_front_brake_ad_brake_value+0
	MOVF       R1, 0
	MOVWF      get_front_brake_ad_brake_value+1
;ThrottleMonitor2.mbas,792 :: 		if ad_brake_value < min_brake then
	MOVF       get_front_brake_min_brake+1, 0
	SUBWF      R1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__get_front_brake460
	MOVF       get_front_brake_min_brake+0, 0
	SUBWF      R0, 0
L__get_front_brake460:
	BTFSC      STATUS+0, 0
	GOTO       L__get_front_brake348
;ThrottleMonitor2.mbas,793 :: 		tmp_result = 0
	CLRF       get_front_brake_tmp_result+0
	GOTO       L__get_front_brake349
;ThrottleMonitor2.mbas,794 :: 		else  if max_brake < ad_brake_value then
L__get_front_brake348:
	MOVF       get_front_brake_ad_brake_value+1, 0
	SUBWF      get_front_brake_max_brake+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__get_front_brake461
	MOVF       get_front_brake_ad_brake_value+0, 0
	SUBWF      get_front_brake_max_brake+0, 0
L__get_front_brake461:
	BTFSC      STATUS+0, 0
	GOTO       L__get_front_brake351
;ThrottleMonitor2.mbas,795 :: 		tmp_result = 8
	MOVLW      8
	MOVWF      get_front_brake_tmp_result+0
	GOTO       L__get_front_brake352
;ThrottleMonitor2.mbas,796 :: 		else
L__get_front_brake351:
;ThrottleMonitor2.mbas,797 :: 		tmp_result = (ad_brake_value - min_brake) / ((max_brake - min_brake) / 8)
	MOVF       get_front_brake_min_brake+0, 0
	SUBWF      get_front_brake_ad_brake_value+0, 0
	MOVWF      R6
	MOVF       get_front_brake_min_brake+1, 0
	SUBWFB     get_front_brake_ad_brake_value+1, 0
	MOVWF      R7
	MOVF       get_front_brake_min_brake+0, 0
	SUBWF      get_front_brake_max_brake+0, 0
	MOVWF      R1
	MOVF       get_front_brake_min_brake+1, 0
	SUBWFB     get_front_brake_max_brake+1, 0
	MOVWF      R2
	MOVF       R1, 0
	MOVWF      R4
	MOVF       R2, 0
	MOVWF      R5
	LSRF       R5, 1
	RRF        R4, 1
	LSRF       R5, 1
	RRF        R4, 1
	LSRF       R5, 1
	RRF        R4, 1
	MOVF       R6, 0
	MOVWF      R0
	MOVF       R7, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R0, 0
	MOVWF      get_front_brake_tmp_result+0
;ThrottleMonitor2.mbas,798 :: 		end if
L__get_front_brake352:
;ThrottleMonitor2.mbas,799 :: 		end if
L__get_front_brake349:
;ThrottleMonitor2.mbas,801 :: 		if reverse then
	MOVF       get_front_brake_reverse+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__get_front_brake354
;ThrottleMonitor2.mbas,802 :: 		result = 8 - tmp_result
	MOVF       get_front_brake_tmp_result+0, 0
	SUBLW      8
	MOVWF      get_front_brake_local_result+0
	GOTO       L__get_front_brake355
;ThrottleMonitor2.mbas,803 :: 		else
L__get_front_brake354:
;ThrottleMonitor2.mbas,804 :: 		result = tmp_result
	MOVF       get_front_brake_tmp_result+0, 0
	MOVWF      get_front_brake_local_result+0
;ThrottleMonitor2.mbas,805 :: 		end if
L__get_front_brake355:
;ThrottleMonitor2.mbas,806 :: 		end sub
	MOVF       get_front_brake_local_result+0, 0
	MOVWF      R0
L_end_get_front_brake:
	RETURN
; end of _get_front_brake

_get_rear_brake:

;ThrottleMonitor2.mbas,816 :: 		dim tmp_result as byte
;ThrottleMonitor2.mbas,822 :: 		else
L__get_rear_brake358:
;ThrottleMonitor2.mbas,823 :: 		reverse = false
	CLRF       get_rear_brake_reverse+0
;ThrottleMonitor2.mbas,824 :: 		max_brake = HARD_AD_REAR_BARKE
	MOVLW      118
	MOVWF      get_rear_brake_max_brake+0
	MOVLW      2
	MOVWF      get_rear_brake_max_brake+1
;ThrottleMonitor2.mbas,825 :: 		min_brake = SOFT_AD_REAR_BARKE
	MOVLW      68
	MOVWF      get_rear_brake_min_brake+0
	MOVLW      2
	MOVWF      get_rear_brake_min_brake+1
;ThrottleMonitor2.mbas,828 :: 		ad_brake_value = ad_get( CHANNEL_RBRAKE )
	CLRF       FARG_ad_get_channel+0
	CALL       _ad_get+0
	MOVF       R0, 0
	MOVWF      get_rear_brake_ad_brake_value+0
	MOVF       R1, 0
	MOVWF      get_rear_brake_ad_brake_value+1
;ThrottleMonitor2.mbas,829 :: 		if ad_brake_value < min_brake then
	MOVF       get_rear_brake_min_brake+1, 0
	SUBWF      R1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__get_rear_brake463
	MOVF       get_rear_brake_min_brake+0, 0
	SUBWF      R0, 0
L__get_rear_brake463:
	BTFSC      STATUS+0, 0
	GOTO       L__get_rear_brake361
;ThrottleMonitor2.mbas,830 :: 		tmp_result = 0
	CLRF       get_rear_brake_tmp_result+0
	GOTO       L__get_rear_brake362
;ThrottleMonitor2.mbas,831 :: 		else if max_brake < ad_brake_value then
L__get_rear_brake361:
	MOVF       get_rear_brake_ad_brake_value+1, 0
	SUBWF      get_rear_brake_max_brake+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__get_rear_brake464
	MOVF       get_rear_brake_ad_brake_value+0, 0
	SUBWF      get_rear_brake_max_brake+0, 0
L__get_rear_brake464:
	BTFSC      STATUS+0, 0
	GOTO       L__get_rear_brake364
;ThrottleMonitor2.mbas,832 :: 		tmp_result = 8
	MOVLW      8
	MOVWF      get_rear_brake_tmp_result+0
	GOTO       L__get_rear_brake365
;ThrottleMonitor2.mbas,833 :: 		else
L__get_rear_brake364:
;ThrottleMonitor2.mbas,834 :: 		tmp_result = (ad_brake_value - min_brake) / ((max_brake - min_brake) / 8)
	MOVF       get_rear_brake_min_brake+0, 0
	SUBWF      get_rear_brake_ad_brake_value+0, 0
	MOVWF      R6
	MOVF       get_rear_brake_min_brake+1, 0
	SUBWFB     get_rear_brake_ad_brake_value+1, 0
	MOVWF      R7
	MOVF       get_rear_brake_min_brake+0, 0
	SUBWF      get_rear_brake_max_brake+0, 0
	MOVWF      R1
	MOVF       get_rear_brake_min_brake+1, 0
	SUBWFB     get_rear_brake_max_brake+1, 0
	MOVWF      R2
	MOVF       R1, 0
	MOVWF      R4
	MOVF       R2, 0
	MOVWF      R5
	LSRF       R5, 1
	RRF        R4, 1
	LSRF       R5, 1
	RRF        R4, 1
	LSRF       R5, 1
	RRF        R4, 1
	MOVF       R6, 0
	MOVWF      R0
	MOVF       R7, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R0, 0
	MOVWF      get_rear_brake_tmp_result+0
;ThrottleMonitor2.mbas,835 :: 		end if
L__get_rear_brake365:
;ThrottleMonitor2.mbas,836 :: 		end if
L__get_rear_brake362:
;ThrottleMonitor2.mbas,838 :: 		if reverse then
	MOVF       get_rear_brake_reverse+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__get_rear_brake367
;ThrottleMonitor2.mbas,839 :: 		result = 8 - tmp_result
	MOVF       get_rear_brake_tmp_result+0, 0
	SUBLW      8
	MOVWF      get_rear_brake_local_result+0
	GOTO       L__get_rear_brake368
;ThrottleMonitor2.mbas,840 :: 		else
L__get_rear_brake367:
;ThrottleMonitor2.mbas,841 :: 		result = tmp_result
	MOVF       get_rear_brake_tmp_result+0, 0
	MOVWF      get_rear_brake_local_result+0
;ThrottleMonitor2.mbas,842 :: 		end if
L__get_rear_brake368:
;ThrottleMonitor2.mbas,843 :: 		end sub
	MOVF       get_rear_brake_local_result+0, 0
	MOVWF      R0
L_end_get_rear_brake:
	RETURN
; end of _get_rear_brake

_get_throttle:

;ThrottleMonitor2.mbas,849 :: 		dim throttle_value as word
;ThrottleMonitor2.mbas,851 :: 		throttle_value = ad_get( CHANNEL_THROTTLE )
	MOVLW      9
	MOVWF      FARG_ad_get_channel+0
	CALL       _ad_get+0
	MOVF       R0, 0
	MOVWF      get_throttle_throttle_value+0
	MOVF       R1, 0
	MOVWF      get_throttle_throttle_value+1
;ThrottleMonitor2.mbas,852 :: 		if  MIN_AD_THROTTLE < throttle_value then
	MOVF       R1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__get_throttle466
	MOVF       R0, 0
	SUBLW      80
L__get_throttle466:
	BTFSC      STATUS+0, 0
	GOTO       L__get_throttle371
;ThrottleMonitor2.mbas,853 :: 		result = (throttle_value - MIN_AD_THROTTLE) / ((MAX_AD_THROTTLE - MIN_AD_THROTTLE) / 24)
	MOVLW      80
	SUBWF      get_throttle_throttle_value+0, 0
	MOVWF      R3
	MOVLW      0
	SUBWFB     get_throttle_throttle_value+1, 0
	MOVWF      R4
	MOVLW      5
	MOVWF      R2
	MOVF       R3, 0
	MOVWF      R0
	MOVF       R4, 0
	MOVWF      R1
	MOVF       R2, 0
L__get_throttle467:
	BTFSC      STATUS+0, 2
	GOTO       L__get_throttle468
	LSRF       R1, 1
	RRF        R0, 1
	ADDLW      255
	GOTO       L__get_throttle467
L__get_throttle468:
	MOVF       R0, 0
	MOVWF      get_throttle_local_result+0
	GOTO       L__get_throttle372
;ThrottleMonitor2.mbas,854 :: 		else
L__get_throttle371:
;ThrottleMonitor2.mbas,855 :: 		result = 0
	CLRF       get_throttle_local_result+0
;ThrottleMonitor2.mbas,856 :: 		end if
L__get_throttle372:
;ThrottleMonitor2.mbas,857 :: 		end sub
	MOVF       get_throttle_local_result+0, 0
	MOVWF      R0
L_end_get_throttle:
	RETURN
; end of _get_throttle

_main:

;ThrottleMonitor2.mbas,870 :: 		dim target_dac_voltage   as byte
;ThrottleMonitor2.mbas,872 :: 		NOT_WPUEN_bit = 1 ' All weak pull-ups are disabled
	BSF        NOT_WPUEN_bit+0, BitPos(NOT_WPUEN_bit+0)
;ThrottleMonitor2.mbas,874 :: 		THROTTLE_TRIS   = PORT_INPUT
	BSF        TRISB3_bit+0, BitPos(TRISB3_bit+0)
;ThrottleMonitor2.mbas,875 :: 		DIMMER_TRIS     = PORT_INPUT
	BSF        TRISA3_bit+0, BitPos(TRISA3_bit+0)
;ThrottleMonitor2.mbas,876 :: 		FBRAKE_TRIS     = PORT_INPUT
	BSF        TRISA1_bit+0, BitPos(TRISA1_bit+0)
;ThrottleMonitor2.mbas,877 :: 		RBRAKE_TRIS     = PORT_INPUT
	BSF        TRISA0_bit+0, BitPos(TRISA0_bit+0)
;ThrottleMonitor2.mbas,878 :: 		TACHO_TRIS      = PORT_INPUT
	BSF        TRISB0_bit+0, BitPos(TRISB0_bit+0)
;ThrottleMonitor2.mbas,879 :: 		SPEED_TRIS      = PORT_INPUT
	BSF        TRISB2_bit+0, BitPos(TRISB2_bit+0)
;ThrottleMonitor2.mbas,880 :: 		SWITCH_TRIS     = PORT_INPUT
	BSF        TRISB5_bit+0, BitPos(TRISB5_bit+0)
;ThrottleMonitor2.mbas,881 :: 		TURNSIGNAL_TRIS = PORT_INPUT
	BSF        TRISA5_bit+0, BitPos(TRISA5_bit+0)
;ThrottleMonitor2.mbas,883 :: 		I2C1_Init(400000) ' DS1307 I2C is running at 400KHz
	MOVLW      20
	MOVWF      SSP1ADD+0
	CALL       _I2C1_Init+0
;ThrottleMonitor2.mbas,886 :: 		DAC_TRIS    = PORT_OUTPUT
	BCF        TRISA4_bit+0, BitPos(TRISA4_bit+0)
;ThrottleMonitor2.mbas,887 :: 		DACEN_bit   = 1  ' DAC enable
	BSF        DACEN_bit+0, BitPos(DACEN_bit+0)
;ThrottleMonitor2.mbas,888 :: 		DACLPS_bit  = 1  ' DAC Positive reference source selected
	BSF        DACLPS_bit+0, BitPos(DACLPS_bit+0)
;ThrottleMonitor2.mbas,889 :: 		DACOE_bit   = 1  ' DAC output enable
	BSF        DACOE_bit+0, BitPos(DACOE_bit+0)
;ThrottleMonitor2.mbas,890 :: 		DACPSS1_bit = 0  ' VREF+ = VDD
	BCF        DACPSS1_bit+0, BitPos(DACPSS1_bit+0)
;ThrottleMonitor2.mbas,891 :: 		DACPSS0_bit = 0  ' VREF+ = VDD
	BCF        DACPSS0_bit+0, BitPos(DACPSS0_bit+0)
;ThrottleMonitor2.mbas,892 :: 		DACNSS_bit  = 0  ' VREF- = VSS
	BCF        DACNSS_bit+0, BitPos(DACNSS_bit+0)
;ThrottleMonitor2.mbas,894 :: 		dac_voltage = MAX_DAC_VOLTAGE
	MOVLW      31
	MOVWF      main_dac_voltage+0
;ThrottleMonitor2.mbas,895 :: 		DACCON1 = dac_voltage
	MOVLW      31
	MOVWF      DACCON1+0
;ThrottleMonitor2.mbas,898 :: 		THROTTLE_ANALOG_PORT = ANALOG_INPUT
	BSF        ANSB3_bit+0, BitPos(ANSB3_bit+0)
;ThrottleMonitor2.mbas,899 :: 		DIMMER_ANALOG_PORT   = ANALOG_INPUT
	BSF        ANSA3_bit+0, BitPos(ANSA3_bit+0)
;ThrottleMonitor2.mbas,900 :: 		FBRAKE_ANALOG_PORT   = ANALOG_INPUT
	BSF        ANSA1_bit+0, BitPos(ANSA1_bit+0)
;ThrottleMonitor2.mbas,901 :: 		RBRAKE_ANALOG_PORT   = ANALOG_INPUT
	BSF        ANSA0_bit+0, BitPos(ANSA0_bit+0)
;ThrottleMonitor2.mbas,903 :: 		ADON_bit    = 1 ' A/D enable
	BSF        ADON_bit+0, BitPos(ADON_bit+0)
;ThrottleMonitor2.mbas,904 :: 		ADFM_bit    = 1 ' Right justified
	BSF        ADFM_bit+0, BitPos(ADFM_bit+0)
;ThrottleMonitor2.mbas,905 :: 		ADCS2_bit   = 1 ' A/D Conversion Clock
	BSF        ADCS2_bit+0, BitPos(ADCS2_bit+0)
;ThrottleMonitor2.mbas,906 :: 		ADCS1_bit   = 1
	BSF        ADCS1_bit+0, BitPos(ADCS1_bit+0)
;ThrottleMonitor2.mbas,907 :: 		ADCS0_bit   = 1
	BSF        ADCS0_bit+0, BitPos(ADCS0_bit+0)
;ThrottleMonitor2.mbas,908 :: 		ADNREF_bit  = 0 ' VREF- is connected to VSS
	BCF        ADNREF_bit+0, BitPos(ADNREF_bit+0)
;ThrottleMonitor2.mbas,909 :: 		ADPREF1_bit = 0 ' VREF+ is connected to VDD
	BCF        ADPREF1_bit+0, BitPos(ADPREF1_bit+0)
;ThrottleMonitor2.mbas,910 :: 		ADPREF0_bit = 0
	BCF        ADPREF0_bit+0, BitPos(ADPREF0_bit+0)
;ThrottleMonitor2.mbas,913 :: 		T2OUTPS3_bit = 0    ' 1:1 Postscaler
	BCF        T2OUTPS3_bit+0, BitPos(T2OUTPS3_bit+0)
;ThrottleMonitor2.mbas,914 :: 		T2OUTPS2_bit = 0
	BCF        T2OUTPS2_bit+0, BitPos(T2OUTPS2_bit+0)
;ThrottleMonitor2.mbas,915 :: 		T2OUTPS1_bit = 0
	BCF        T2OUTPS1_bit+0, BitPos(T2OUTPS1_bit+0)
;ThrottleMonitor2.mbas,916 :: 		T2OUTPS0_bit = 0
	BCF        T2OUTPS0_bit+0, BitPos(T2OUTPS0_bit+0)
;ThrottleMonitor2.mbas,917 :: 		TMR2ON_bit   = 1
	BSF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
;ThrottleMonitor2.mbas,918 :: 		T2CKPS1_bit  = 1    ' Prescaler is 64
	BSF        T2CKPS1_bit+0, BitPos(T2CKPS1_bit+0)
;ThrottleMonitor2.mbas,919 :: 		T2CKPS0_bit  = 1
	BSF        T2CKPS0_bit+0, BitPos(T2CKPS0_bit+0)
;ThrottleMonitor2.mbas,920 :: 		PR2 = 124           ' 1[msec] period
	MOVLW      124
	MOVWF      PR2+0
;ThrottleMonitor2.mbas,921 :: 		TMR2IE_bit = 1
	BSF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
;ThrottleMonitor2.mbas,924 :: 		T4OUTPS3_bit = 0
	BCF        T4OUTPS3_bit+0, BitPos(T4OUTPS3_bit+0)
;ThrottleMonitor2.mbas,925 :: 		T4OUTPS2_bit = 0
	BCF        T4OUTPS2_bit+0, BitPos(T4OUTPS2_bit+0)
;ThrottleMonitor2.mbas,926 :: 		T4OUTPS1_bit = 0
	BCF        T4OUTPS1_bit+0, BitPos(T4OUTPS1_bit+0)
;ThrottleMonitor2.mbas,927 :: 		T4OUTPS0_bit = 0
	BCF        T4OUTPS0_bit+0, BitPos(T4OUTPS0_bit+0)
;ThrottleMonitor2.mbas,928 :: 		TMR4ON_bit   = 1
	BSF        TMR4ON_bit+0, BitPos(TMR4ON_bit+0)
;ThrottleMonitor2.mbas,929 :: 		T4CKPS1_bit  = 0
	BCF        T4CKPS1_bit+0, BitPos(T4CKPS1_bit+0)
;ThrottleMonitor2.mbas,930 :: 		T4CKPS0_bit  = 0
	BCF        T4CKPS0_bit+0, BitPos(T4CKPS0_bit+0)
;ThrottleMonitor2.mbas,931 :: 		PR4 = 255
	MOVLW      255
	MOVWF      PR4+0
;ThrottleMonitor2.mbas,932 :: 		TMR4IE_bit = 1
	BSF        TMR4IE_bit+0, BitPos(TMR4IE_bit+0)
;ThrottleMonitor2.mbas,935 :: 		T6OUTPS3_bit = 0
	BCF        T6OUTPS3_bit+0, BitPos(T6OUTPS3_bit+0)
;ThrottleMonitor2.mbas,936 :: 		T6OUTPS2_bit = 0
	BCF        T6OUTPS2_bit+0, BitPos(T6OUTPS2_bit+0)
;ThrottleMonitor2.mbas,937 :: 		T6OUTPS1_bit = 0
	BCF        T6OUTPS1_bit+0, BitPos(T6OUTPS1_bit+0)
;ThrottleMonitor2.mbas,938 :: 		T6OUTPS0_bit = 0
	BCF        T6OUTPS0_bit+0, BitPos(T6OUTPS0_bit+0)
;ThrottleMonitor2.mbas,939 :: 		TMR6ON_bit   = 1
	BSF        TMR6ON_bit+0, BitPos(TMR6ON_bit+0)
;ThrottleMonitor2.mbas,940 :: 		T6CKPS1_bit  = 0
	BCF        T6CKPS1_bit+0, BitPos(T6CKPS1_bit+0)
;ThrottleMonitor2.mbas,941 :: 		T6CKPS0_bit  = 0
	BCF        T6CKPS0_bit+0, BitPos(T6CKPS0_bit+0)
;ThrottleMonitor2.mbas,942 :: 		PR6 = 255
	MOVLW      255
	MOVWF      PR6+0
;ThrottleMonitor2.mbas,943 :: 		TMR6IE_bit = 1
	BSF        TMR6IE_bit+0, BitPos(TMR6IE_bit+0)
;ThrottleMonitor2.mbas,946 :: 		INTEDG_bit = 1 ' Interrupt on rising edge of INT pin
	BSF        INTEDG_bit+0, BitPos(INTEDG_bit+0)
;ThrottleMonitor2.mbas,947 :: 		TACHO_SIGNAL_INTERRUPT_ENABLE    = 1 ' Enables the INT external interrupt
	BSF        INTE_bit+0, BitPos(INTE_bit+0)
;ThrottleMonitor2.mbas,948 :: 		TACHO_SIGNAL_INTERRUPT_OCCURRED  = 0 ' Clear interupt flag
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
;ThrottleMonitor2.mbas,951 :: 		SPEED_SIGNAL_INTERRUPT_ENABLE    = 1 ' Enables the interrupt-on-change
	BSF        IOCIE_bit+0, BitPos(IOCIE_bit+0)
;ThrottleMonitor2.mbas,952 :: 		SPEED_SIGNAL_INTERRUPT_OCCURRED  = 0 ' Clear interupt flag
	BCF        IOCBF2_bit+0, BitPos(IOCBF2_bit+0)
;ThrottleMonitor2.mbas,953 :: 		ANSB2_bit = 0 ' Digital I/O
	BCF        ANSB2_bit+0, BitPos(ANSB2_bit+0)
;ThrottleMonitor2.mbas,954 :: 		IOCBP2_bit = 0 ' port RB2 rising edge
	BCF        IOCBP2_bit+0, BitPos(IOCBP2_bit+0)
;ThrottleMonitor2.mbas,955 :: 		IOCBN2_bit = 1 ' port RB2 falling edge
	BSF        IOCBN2_bit+0, BitPos(IOCBN2_bit+0)
;ThrottleMonitor2.mbas,957 :: 		delay_ms(100)
	MOVLW      5
	MOVWF      R11
	MOVLW      15
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L__main374:
	DECFSZ     R13, 1
	GOTO       L__main374
	DECFSZ     R12, 1
	GOTO       L__main374
	DECFSZ     R11, 1
	GOTO       L__main374
;ThrottleMonitor2.mbas,959 :: 		ioexpander_tca9535_initialize()
	CALL       _ioexpander_tca9535_initialize+0
;ThrottleMonitor2.mbas,961 :: 		throttle_value_prev = 0
	CLRF       main_throttle_value_prev+0
;ThrottleMonitor2.mbas,963 :: 		display_startup()
	CALL       _display_startup+0
;ThrottleMonitor2.mbas,965 :: 		speed_tmr_timeout = false
	CLRF       _speed_tmr_timeout+0
;ThrottleMonitor2.mbas,966 :: 		speed_tmr_overflow_count = 0
	CLRF       _speed_tmr_overflow_count+0
	CLRF       _speed_tmr_overflow_count+1
;ThrottleMonitor2.mbas,967 :: 		speed_measure_status = MEASUREMENT_SET
	CLRF       _speed_measure_status+0
;ThrottleMonitor2.mbas,968 :: 		speed_display_update_counter = 0
	CLRF       _speed_display_update_counter+0
	CLRF       _speed_display_update_counter+1
;ThrottleMonitor2.mbas,969 :: 		dimmer_update_counter = 0
	CLRF       _dimmer_update_counter+0
;ThrottleMonitor2.mbas,972 :: 		PEIE_bit = 1 ' Enables all active peripheral interrupts
	BSF        PEIE_bit+0, BitPos(PEIE_bit+0)
;ThrottleMonitor2.mbas,973 :: 		GIE_bit = 1 ' Enables all active interrupts
	BSF        GIE_bit+0, BitPos(GIE_bit+0)
;ThrottleMonitor2.mbas,976 :: 		speed_kph = 0
	CLRF       main_speed_kph+0
;ThrottleMonitor2.mbas,977 :: 		rpm = 0
	CLRF       main_rpm+0
	CLRF       main_rpm+1
	CLRF       main_rpm+2
	CLRF       main_rpm+3
;ThrottleMonitor2.mbas,978 :: 		display_speed( 0 )
	CLRF       FARG_display_speed_number+0
	CALL       _display_speed+0
;ThrottleMonitor2.mbas,983 :: 		while(true)
L__main376:
;ThrottleMonitor2.mbas,985 :: 		if speed_measure_status = MEASUREMENT_DONE then
	MOVF       _speed_measure_status+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main381
;ThrottleMonitor2.mbas,986 :: 		speed_mm_per_minutes = (((TMR_COUNT_PER_MINUTES * SPEED_PULSE_COUNT) / ((speed_tmr_overflow_save * 255) + speed_tmr_save)) * TIRE_CIRCUMFERENCE_SHMODE) / SPEED_PULSE_PER_ROTATION
	MOVF       _speed_tmr_overflow_save+0, 0
	MOVWF      R0
	MOVF       _speed_tmr_overflow_save+1, 0
	MOVWF      R1
	MOVF       _speed_tmr_overflow_save+2, 0
	MOVWF      R2
	MOVF       _speed_tmr_overflow_save+3, 0
	MOVWF      R3
	MOVLW      255
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       _speed_tmr_save+0, 0
	ADDWF      R0, 0
	MOVWF      R4
	MOVLW      0
	ADDWFC     R1, 0
	MOVWF      R5
	MOVLW      0
	ADDWFC     R2, 0
	MOVWF      R6
	MOVLW      0
	ADDWFC     R3, 0
	MOVWF      R7
	MOVLW      0
	MOVWF      R0
	MOVLW      24
	MOVWF      R1
	MOVLW      13
	MOVWF      R2
	MOVLW      143
	MOVWF      R3
	CALL       _Div_32x32_U+0
	MOVLW      123
	MOVWF      R4
	MOVLW      6
	MOVWF      R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVLW      47
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Div_32x32_U+0
;ThrottleMonitor2.mbas,987 :: 		speed_kph = (speed_mm_per_minutes * 60) / 1000000
	MOVLW      60
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVLW      64
	MOVWF      R4
	MOVLW      66
	MOVWF      R5
	MOVLW      15
	MOVWF      R6
	MOVLW      0
	MOVWF      R7
	CALL       _Div_32x32_U+0
	MOVF       R0, 0
	MOVWF      main_speed_kph+0
;ThrottleMonitor2.mbas,988 :: 		speed_measure_status = MEASUREMENT_SET
	CLRF       _speed_measure_status+0
L__main381:
;ThrottleMonitor2.mbas,990 :: 		if speed_tmr_timeout = true then
	MOVF       _speed_tmr_timeout+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__main384
;ThrottleMonitor2.mbas,991 :: 		speed_kph = 0
	CLRF       main_speed_kph+0
L__main384:
;ThrottleMonitor2.mbas,993 :: 		if speed_display_update_counter = 300 then ' 300[msec]
	MOVF       _speed_display_update_counter+1, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main470
	MOVLW      44
	XORWF      _speed_display_update_counter+0, 0
L__main470:
	BTFSS      STATUS+0, 2
	GOTO       L__main387
;ThrottleMonitor2.mbas,994 :: 		display_speed( speed_kph )
	MOVF       main_speed_kph+0, 0
	MOVWF      FARG_display_speed_number+0
	CALL       _display_speed+0
;ThrottleMonitor2.mbas,995 :: 		speed_display_update_counter = 0
	CLRF       _speed_display_update_counter+0
	CLRF       _speed_display_update_counter+1
L__main387:
;ThrottleMonitor2.mbas,1010 :: 		if tacho_measure_status = MEASUREMENT_DONE then
	MOVF       _tacho_measure_status+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main390
;ThrottleMonitor2.mbas,1011 :: 		rpm = (TMR_COUNT_PER_MINUTES * TACHO_PULSE_COUNT) / ((tacho_tmr_overflow_save * 255) + tacho_tmr_save)
	MOVF       _tacho_tmr_overflow_save+0, 0
	MOVWF      R0
	MOVF       _tacho_tmr_overflow_save+1, 0
	MOVWF      R1
	MOVF       _tacho_tmr_overflow_save+2, 0
	MOVWF      R2
	MOVF       _tacho_tmr_overflow_save+3, 0
	MOVWF      R3
	MOVLW      255
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       _tacho_tmr_save+0, 0
	ADDWF      R0, 0
	MOVWF      R4
	MOVLW      0
	ADDWFC     R1, 0
	MOVWF      R5
	MOVLW      0
	ADDWFC     R2, 0
	MOVWF      R6
	MOVLW      0
	ADDWFC     R3, 0
	MOVWF      R7
	MOVLW      0
	MOVWF      R0
	MOVLW      56
	MOVWF      R1
	MOVLW      156
	MOVWF      R2
	MOVLW      28
	MOVWF      R3
	CALL       _Div_32x32_U+0
	MOVF       R0, 0
	MOVWF      main_rpm+0
	MOVF       R1, 0
	MOVWF      main_rpm+1
	MOVF       R2, 0
	MOVWF      main_rpm+2
	MOVF       R3, 0
	MOVWF      main_rpm+3
;ThrottleMonitor2.mbas,1012 :: 		if TURNSIGNAL_PORT = 0 then
	BTFSC      RA5_bit+0, BitPos(RA5_bit+0)
	GOTO       L__main393
;ThrottleMonitor2.mbas,1013 :: 		display_rpm( ( rpm * 40 * 2 ) / MAX_RPM )
	MOVF       main_rpm+0, 0
	MOVWF      R0
	MOVF       main_rpm+1, 0
	MOVWF      R1
	MOVF       main_rpm+2, 0
	MOVWF      R2
	MOVF       main_rpm+3, 0
	MOVWF      R3
	MOVLW      40
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       R0, 0
	MOVWF      R4
	MOVF       R1, 0
	MOVWF      R5
	MOVF       R2, 0
	MOVWF      R6
	MOVF       R3, 0
	MOVWF      R7
	LSLF       R4, 1
	RLF        R5, 1
	RLF        R6, 1
	RLF        R7, 1
	MOVF       R4, 0
	MOVWF      R0
	MOVF       R5, 0
	MOVWF      R1
	MOVF       R6, 0
	MOVWF      R2
	MOVF       R7, 0
	MOVWF      R3
	MOVLW      16
	MOVWF      R4
	MOVLW      39
	MOVWF      R5
	CLRF       R6
	CLRF       R7
	CALL       _Div_32x32_U+0
	MOVF       R0, 0
	MOVWF      FARG_display_rpm_rpm+0
	CALL       _display_rpm+0
	GOTO       L__main394
;ThrottleMonitor2.mbas,1014 :: 		else
L__main393:
;ThrottleMonitor2.mbas,1015 :: 		display_rpm_reverse( ( rpm * 40 * 2 )/ MAX_RPM )
	MOVF       main_rpm+0, 0
	MOVWF      R0
	MOVF       main_rpm+1, 0
	MOVWF      R1
	MOVF       main_rpm+2, 0
	MOVWF      R2
	MOVF       main_rpm+3, 0
	MOVWF      R3
	MOVLW      40
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       R0, 0
	MOVWF      R4
	MOVF       R1, 0
	MOVWF      R5
	MOVF       R2, 0
	MOVWF      R6
	MOVF       R3, 0
	MOVWF      R7
	LSLF       R4, 1
	RLF        R5, 1
	RLF        R6, 1
	RLF        R7, 1
	MOVF       R4, 0
	MOVWF      R0
	MOVF       R5, 0
	MOVWF      R1
	MOVF       R6, 0
	MOVWF      R2
	MOVF       R7, 0
	MOVWF      R3
	MOVLW      16
	MOVWF      R4
	MOVLW      39
	MOVWF      R5
	CLRF       R6
	CLRF       R7
	CALL       _Div_32x32_U+0
	MOVF       R0, 0
	MOVWF      FARG_display_rpm_reverse_rpm+0
	CALL       _display_rpm_reverse+0
;ThrottleMonitor2.mbas,1016 :: 		end if
L__main394:
;ThrottleMonitor2.mbas,1017 :: 		tacho_measure_status = MEASUREMENT_SET
	CLRF       _tacho_measure_status+0
L__main390:
;ThrottleMonitor2.mbas,1019 :: 		if tacho_tmr_timeout = true then
	MOVF       _tacho_tmr_timeout+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__main396
;ThrottleMonitor2.mbas,1020 :: 		rpm = 0
	CLRF       main_rpm+0
	CLRF       main_rpm+1
	CLRF       main_rpm+2
	CLRF       main_rpm+3
;ThrottleMonitor2.mbas,1021 :: 		if TURNSIGNAL_PORT = 0 then
	BTFSC      RA5_bit+0, BitPos(RA5_bit+0)
	GOTO       L__main399
;ThrottleMonitor2.mbas,1022 :: 		display_rpm( 0 )
	CLRF       FARG_display_rpm_rpm+0
	CALL       _display_rpm+0
	GOTO       L__main400
;ThrottleMonitor2.mbas,1023 :: 		else
L__main399:
;ThrottleMonitor2.mbas,1024 :: 		display_rpm( 40 )
	MOVLW      40
	MOVWF      FARG_display_rpm_rpm+0
	CALL       _display_rpm+0
;ThrottleMonitor2.mbas,1025 :: 		end if
L__main400:
;ThrottleMonitor2.mbas,1026 :: 		tacho_measure_status = MEASUREMENT_SET
	CLRF       _tacho_measure_status+0
L__main396:
;ThrottleMonitor2.mbas,1033 :: 		display_rpm_p_1000( rpm * 2 )
	MOVF       main_rpm+0, 0
	MOVWF      FARG_display_rpm_p_1000_rpm+0
	MOVF       main_rpm+1, 0
	MOVWF      FARG_display_rpm_p_1000_rpm+1
	MOVF       main_rpm+2, 0
	MOVWF      FARG_display_rpm_p_1000_rpm+2
	MOVF       main_rpm+3, 0
	MOVWF      FARG_display_rpm_p_1000_rpm+3
	LSLF       FARG_display_rpm_p_1000_rpm+0, 1
	RLF        FARG_display_rpm_p_1000_rpm+1, 1
	RLF        FARG_display_rpm_p_1000_rpm+2, 1
	RLF        FARG_display_rpm_p_1000_rpm+3, 1
	CALL       _display_rpm_p_1000+0
;ThrottleMonitor2.mbas,1036 :: 		display_front_brake( get_front_brake() )
	CALL       _get_front_brake+0
	MOVF       R0, 0
	MOVWF      FARG_display_front_brake_position+0
	CALL       _display_front_brake+0
;ThrottleMonitor2.mbas,1039 :: 		display_rear_brake( get_rear_brake() )
	CALL       _get_rear_brake+0
	MOVF       R0, 0
	MOVWF      FARG_display_rear_brake_position+0
	CALL       _display_rear_brake+0
;ThrottleMonitor2.mbas,1042 :: 		throttle_value = get_throttle()
	CALL       _get_throttle+0
	MOVF       R0, 0
	MOVWF      main_throttle_value+0
;ThrottleMonitor2.mbas,1043 :: 		if throttle_value_prev < throttle_value then
	MOVF       R0, 0
	SUBWF      main_throttle_value_prev+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main402
;ThrottleMonitor2.mbas,1044 :: 		if ( throttle_value - throttle_value_prev ) < THROTTLE_ERROR then
	MOVF       main_throttle_value_prev+0, 0
	SUBWF      main_throttle_value+0, 0
	MOVWF      R1
	MOVLW      2
	SUBWF      R1, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main405
;ThrottleMonitor2.mbas,1045 :: 		display_throttle( throttle_value )
	MOVF       main_throttle_value+0, 0
	MOVWF      FARG_display_throttle_throttle_position+0
	CALL       _display_throttle+0
L__main405:
;ThrottleMonitor2.mbas,1046 :: 		end if
	GOTO       L__main403
;ThrottleMonitor2.mbas,1047 :: 		else
L__main402:
;ThrottleMonitor2.mbas,1048 :: 		if ( throttle_value_prev - throttle_value ) < THROTTLE_ERROR then
	MOVF       main_throttle_value+0, 0
	SUBWF      main_throttle_value_prev+0, 0
	MOVWF      R1
	MOVLW      2
	SUBWF      R1, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main408
;ThrottleMonitor2.mbas,1049 :: 		display_throttle( throttle_value )
	MOVF       main_throttle_value+0, 0
	MOVWF      FARG_display_throttle_throttle_position+0
	CALL       _display_throttle+0
L__main408:
;ThrottleMonitor2.mbas,1051 :: 		end if
L__main403:
;ThrottleMonitor2.mbas,1052 :: 		throttle_value_prev = throttle_value
	MOVF       main_throttle_value+0, 0
	MOVWF      main_throttle_value_prev+0
;ThrottleMonitor2.mbas,1055 :: 		if dimmer_update_counter = DIMMER_PERIOD then
	MOVF       _dimmer_update_counter+0, 0
	XORLW      200
	BTFSS      STATUS+0, 2
	GOTO       L__main411
;ThrottleMonitor2.mbas,1056 :: 		brightness = get_dimmer_raw()
	CALL       _get_dimmer_raw+0
	MOVF       R0, 0
	MOVWF      main_brightness+0
	MOVF       R1, 0
	MOVWF      main_brightness+1
;ThrottleMonitor2.mbas,1057 :: 		if brightness < MIN_BRIGHTNESS then
	MOVLW      0
	SUBWF      R1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main471
	MOVLW      80
	SUBWF      R0, 0
L__main471:
	BTFSC      STATUS+0, 0
	GOTO       L__main414
;ThrottleMonitor2.mbas,1058 :: 		brightness = MIN_BRIGHTNESS
	MOVLW      80
	MOVWF      main_brightness+0
	CLRF       main_brightness+1
L__main414:
;ThrottleMonitor2.mbas,1060 :: 		target_dac_voltage = MIN_DAC_VOLTAGE + ( brightness - MIN_BRIGHTNESS) / (( MAX_BRIGHTNESS - MIN_BRIGHTNESS) / (MAX_DAC_VOLTAGE - MIN_DAC_VOLTAGE))
	MOVLW      80
	SUBWF      main_brightness+0, 0
	MOVWF      R0
	MOVLW      0
	SUBWFB     main_brightness+1, 0
	MOVWF      R1
	MOVLW      82
	MOVWF      R4
	CLRF       R5
	CALL       _Div_16x16_U+0
	MOVF       R0, 0
	ADDLW      23
	MOVWF      R1
	MOVF       R1, 0
	MOVWF      main_target_dac_voltage+0
;ThrottleMonitor2.mbas,1061 :: 		if MAX_DAC_VOLTAGE < target_dac_voltage then
	MOVF       R1, 0
	SUBLW      31
	BTFSC      STATUS+0, 0
	GOTO       L__main417
;ThrottleMonitor2.mbas,1062 :: 		target_dac_voltage = MAX_DAC_VOLTAGE
	MOVLW      31
	MOVWF      main_target_dac_voltage+0
L__main417:
;ThrottleMonitor2.mbas,1064 :: 		if dac_voltage < target_dac_voltage then
	MOVF       main_target_dac_voltage+0, 0
	SUBWF      main_dac_voltage+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main420
;ThrottleMonitor2.mbas,1065 :: 		dac_voltage = dac_voltage + 1
	INCF       main_dac_voltage+0, 1
L__main420:
;ThrottleMonitor2.mbas,1067 :: 		if dac_voltage > target_dac_voltage then
	MOVF       main_dac_voltage+0, 0
	SUBWF      main_target_dac_voltage+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main423
;ThrottleMonitor2.mbas,1068 :: 		dac_voltage = dac_voltage - 1
	DECF       main_dac_voltage+0, 1
L__main423:
;ThrottleMonitor2.mbas,1070 :: 		DACCON1 = dac_voltage
	MOVF       main_dac_voltage+0, 0
	MOVWF      DACCON1+0
;ThrottleMonitor2.mbas,1071 :: 		dimmer_update_counter = 0
	CLRF       _dimmer_update_counter+0
L__main411:
;ThrottleMonitor2.mbas,1073 :: 		wend
	GOTO       L__main376
L_end_main:
	GOTO       $+0
; end of _main
